<?php
/**
 * @version		$Id: category_items.php 1.0 2012-05-05 16:29:00Z reneb $
 * @package 	Joomla
 * @subpackage	FLEXIcontent
 * @copyright 	(C) 2012 Emmanuel Danan - www.vistamedia.fr	
 * @subpackage	ndk-flexicontent-event template
 * @author		René Bäz,  Andrew Patton
 * @copyright	Copyright (C) 2010 nettdotkomm, Pure Cobalt. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 **/
 

$lng = JFactory::getLanguage();
$loc = $lng->getLocale() ;
setlocale(LC_ALL, $loc );
?>

<script type="text/javascript">
	
	function adminFormPrepare(form) {
		var extra_action = '';
		var var_sep = form.action.match(/\?/) ? '&' : '?';
		
		for(i=0; i<form.elements.length; i++) {
			
			var element = form.elements[i];
			
			// No need to add the default values for ordering, to the URL
			if (element.name=='filter_order' && element.value=='i.title') continue;
			if (element.name=='filter_order_Dir' && element.value=='ASC') continue;
			
			var matches = element.name.match(/(filter[.]*|letter|clayout)/);
			if (matches && element.value != '') {
			  extra_action += var_sep + element.name + '=' + element.value;
			  var_sep = '&';
			}
		}
		form.action += extra_action;   //alert(extra_action);
	}
	
	function adminFormClearFilters (form) {
		for(i=0; i<form.elements.length; i++) {
			var element = form.elements[i];
			
			if (element.name=='filter_order') {	element.value=='i.title'; continue; }
			if (element.name=='filter_order_Dir') { element.value=='ASC'; continue; }
			
			var matches = element.name.match(/(filter[.]*|letter)/);
			if (matches) {
				element.value = '';
			}
		}
	}
</script>

<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search')) || ($this->params->get('show_alpha', 1))) : ?>
<form action="<?php echo htmlentities($this->action); ?>" method="POST" id="adminForm" onsubmit="">

<?php if ( JRequest::getVar('clayout') == $this->params->get('clayout', 'blog') ) :?>
	<input type="hidden" name="clayout" value="<?php echo JRequest::getVar('clayout'); ?>" />
<?php endif; ?>

<?php if ((($this->params->get('use_filters', 0)) && $this->filters) || ($this->params->get('use_search'))) : ?>
<div id="fc_filter" class="floattext">
	<?php if ($this->params->get('use_search')) : ?>
	<div class="fc_fleft">
		<input type="text" name="filter" id="filter" value="<?php echo $this->lists['filter'];?>" class="text_area" />
		<?php if ( $this->params->get('show_filter_labels', 0) && $this->params->get('use_filters', 0) && $this->filters ) : ?>
		  <br>
		<?php endif; ?>
		<button class="fc_button" onclick="var form=document.getElementById('adminForm'); adminFormPrepare(form);"><?php echo JText::_( 'FLEXI_GO' ); ?></button>
		<button class="fc_button" onclick="var form=document.getElementById('adminForm'); adminFormClearFilters(form); adminFormPrepare(form);"><?php echo JText::_( 'FLEXI_RESET' ); ?></button>
	</div>
	<?php endif; ?>
	<?php if ($this->params->get('use_filters', 0) && $this->filters) : ?>
	
	<!--div class="fc_fright"-->
	<?php
	foreach ($this->filters as $filt) :
		if (empty($filt->html)) continue;
		// Add form preparation
		if ( preg_match('/onchange[ ]*=[ ]*([\'"])/i', $filt->html, $matches) ) {
			$filt->html = preg_replace('/onchange[ ]*=[ ]*([\'"])/i', 'onchange=${1}adminFormPrepare(document.getElementById(\'adminForm\'));', $filt->html);
		} else {
			$filt->html = preg_replace('/<(select|input)/i', '<${1} onchange="adminFormPrepare(document.getElementById(\'adminForm\'));"', $filt->html);
		}
	?>
		<span class="filter" style="white-space: nowrap;">
			
			<?php if ( $this->params->get('show_filter_labels', 0) ) : ?>
				<span class="filter_label">
				<?php echo $filt->label; ?>
				</span>
			<?php endif; ?>
			
			<span class="filter_field">
			<?php echo $filt->html; ?>
			</span>
			
		</span>
	<?php endforeach; ?>
	
	<?php if (!$this->params->get('use_search')) : ?>
		<button onclick="var form=document.getElementById('adminForm'); adminFormClearFilters(form);  adminFormPrepare(form);"><?php echo JText::_( 'FLEXI_RESET' ); ?></button>
	<?php endif; ?>
	<!--/div-->
	
	<?php endif; ?>
</div>
<?php endif; ?>
<?php
if ($this->params->get('show_alpha', 1)) :
	echo $this->loadTemplate('alpha');
endif;
?>
<input type="hidden" name="option" value="com_flexicontent" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['filter_order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />

<input type="hidden" name="view" value="category" />
<input type="hidden" name="letter" value="<?php echo JRequest::getVar('letter');?>" id="alpha_index" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="id" value="<?php echo $this->category->id; ?>" />
<input type="hidden" name="cid" value="<?php echo $this->category->id; ?>" />
</form>
<?php endif; ?>

<?php
// activate tooltips:
//JHTML::_('behavior.tooltip'); this is controlled by "Add mootools tooltips" in flexi's global config
?>

<?php
$items				= $this->items;
$count 				= count($items);
if ($count) : 						// BOF0
?>

	<?php
	$document	=& JFactory::getDocument(); // used to include CSS declaration based on params

	/***** prep global variables *****/
	global $today, $monthName, $monthNames,$displayWeekdayFormat, $WeekdayDateFormat, $weekdayNames, $displayEmptyMonth, $displayEventsInPast, $displayEventsMonthInPastCustom, $displayEventsMonthInFutureCustom, $weekdayNamesAbbr, $weekDaysInMonth, $weekStartDay, $event_catViewLayout, $event_startDateField, $event_endDateField, $event_startTimeField, $event_endTimeField, $event_typeField, $displayEventMonthHeaderInListLayout, $displayEventMonthAccordionInListLayout, $displayEventYearInListLayout, $eventTitleInDay, $displayEventTitleInDay,$displayEventNumbersInDay, $displayEventBlockInDayOnly, $abbrTitleInDay, $abbrNumCharTitleInDayCutText, $eventTitleInTooltip, $displayEventTitleInTooltip, $abbrTitleInTooltip, $abbrNumCharTitleInTooltipCutText, $event_titleField, $event_descriptionField, $event_imageField, $event_locationField, $event_countryField, $event_classification, $displayEventClassificationColorKey, $colgroup, $thead, $displayEventTimeInDay, $displayEventLocationInDay, $abbrLocationInDay, $abbrNumCharLocationInDayCutText, $displayEventCountryInDay, $abbrCountryInDay, $abbrNumCharCountryInDayCutText, $eventDescriptionInDay, $displayEventDescriptionInDay, $abbrDescriptionInDay, $abbrNumCharDescriptionInDayCutText, $displayEventTimeInTooltip, $displayEventLocationInTooltip, $abbrLocationInTooltip, $abbrNumCharLocationInTooltipCutText, $displayEventCountryInTooltip, $abbrCountryInTooltip, $abbrNumCharCountryInTooltipCutText, $eventDescriptionInTooltip, $displayEventDescriptionInTooltip, $abbrDescriptionInTooltip, $abbrNumCharDescriptionInTooltipCutText;
	
	/***** initialize other variables *****/
	// generate an today's date array
	$today 				= explode(' ', date('Y n j m d')); // e.g. date ([0]=2011 [1]=8 [2]=9 [3]=08 [4]=09)
	//[0]				= Y = a full numeric representation of a year, 4 digits (Examples: 1999 or 2003)
	//[1] 				= n = Numeric representation of a month, without leading zeros (1 through 12)
	//[2] 				= j = Day of the month without leading zeros (1 to 31)
	//[3] 				= m = Numeric representation of a month, with leading zeros (01 through 12)
	//[4] 				= d = Day of the month, 2 digits with leading zeros (01 to 31)
	$today[] 			= intval($today[0] . $today[3] . $today[4]); // $today[5]= yyyymmdd as integer e.g. 20110408 (intval - Get the integer value)
	
	$months 			= array();
	$weekDaysInMonth 	= array();	// [year][month][total days] - used in fcCalendarDaysInMonth()
	$noTimeCount 		= 2500;	// count for easy sorting by key in the last level of the $months array for events w. no start-time

	/***** get Template params: *****/
	// LAYOUT
	$event_catViewLayout				= $this->params->get('event_cat_view_layout', 0); // 0 = Calendar, 1 =List , 2 =Table (sortable)
	// EVENT FIELD NAMES - EVENT DATE AND TIME
	$event_startDateField				= $this->params->get('event_startdate_field', 'event_start_date'); // REQUIRED
	$event_endDateField 				= $this->params->get('event_enddate_field');
	$event_startTimeField 				= $this->params->get('event_starttime_field');
	$event_endTimeField 				= $this->params->get('event_endtime_field');
	// EVENT INFOS
	$event_countryField 				= $this->params->get('event_country_field');
	$event_locationField 				= $this->params->get('event_location_field');
	$event_titleField 					= $this->params->get('event_title_field');
	$event_descriptionField 			= $this->params->get('event_description_field');
	$event_imageField 					= $this->params->get('event_image_field');

	// ***** DISPLAY OPTIONS *****
	// EVENT CLASSIFICATION
	$event_typeField 					= $this->params->get('event_type_field'); // // custom event type for classification (name, class)
	$event_classification 				= $this->params->get('event_classification', 0); // 0 = no classification, 1 = custom event field, 2 = category css
	if ($event_classification_key		= $this->params->get('display_event_classification_color_key', true) || ($event_classification && !$displayEventTitleInDay)) {
		$event_classification_Names 	= array(); // to build index of classifications for key
		$eventClassificationCatCssColors 		= $this->params->get('event_classification_cat_css_colors');
		$eventClassificationCatCssColors		= explode (",",$eventClassificationCatCssColors); // e.g. ('1A171B', '45af00', 'e53026', 'f28e0f', 'ba3cbd', '5c3bb1', 'aaa')
	}
	$displayEventClassificationColorKey	= $this->params->get('display_event_classification_color_key', true); // 0 = false, 1 = true

	// LIST-LAYOUT
	$displayEventMonthHeaderInListLayout	= $this->params->get('display_event_month_header_in_list_layout', 1); // 0 = false, 1 = true
	$displayEventMonthAccordionInListLayout	= $this->params->get('display_event_month_css3_accordion_in_list_layout', 1); // 0 = false, 1 = true
	$displayEventYearInListLayout			= $this->params->get('display_event_year_in_list_layout', 0); // 0 = false, 1 = true

	// CALENDAR-LAYOUT EVENT INFORMATION TO DISPLAY *** IN DAY ***
	// title
	$eventTitleInDay 						= $this->params->get('event_title_in_day', 1); // 0 = ITEM title, 1 = FIELD title
	$displayEventTitleInDay					= $this->params->get('display_event_title_in_day', 1); // 0 = false, 1 = true
	$abbrTitleInDay		 					= $this->params->get('abbr_event_title_in_day', 0); // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharTitleInDayCutText			= $this->params->get('abbr_event_title_in_day_cut_text', 10);
	$displayEventNumbersInDay				= $this->params->get('display_event_numbers_in_day', 0); // 0 = false, 1 = true
	$displayEventBlockInDayOnly				= $this->params->get('display_event_block_in_day_only', 1); // 0 = false, 1 = true
	// time
	$displayEventTimeInDay					= $this->params->get('display_event_time_in_day', 1); // 0 = false, 1 = true
	// Country
	$displayEventCountryInDay				= $this->params->get('display_event_country_in_day', 1); // 0 = false, 1 = true
	$abbrCountryInDay		 				= $this->params->get('abbr_event_country_in_day', 0);  // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharCountryInDayCutText			= $this->params->get('abbr_event_country_in_day_cut_text', 10);
	// location
	$displayEventLocationInDay				= $this->params->get('display_event_location_in_day', 1); // 0 = false, 1 = true
	$abbrLocationInDay		 				= $this->params->get('abbr_event_location_in_day', 0);  // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharLocationInDayCutText		= $this->params->get('abbr_event_location_in_day_cut_text', 10);
	// description
	$eventDescriptionInDay 					= $this->params->get('event_description_in_day', 1); // 0 = ITEM description, 1 = FIELD description
	$displayEventDescriptionInDay			= $this->params->get('display_event_description_in_day', 1); // 0 = false, 1 = true
	$abbrDescriptionInDay		 			= $this->params->get('abbr_event_description_in_day', 0); // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharDescriptionInDayCutText		= $this->params->get('abbr_event_description_in_day_cut_text', 20);
	// CALENDAR-LAYOUT  EVENT INFORMATION TO DISPLAY *** IN TOOLTIP ***
	// title
	$eventTitleInTooltip 					= $this->params->get('event_title_in_tooltip', 1); // 0 = ITEM title, 1 = FIELD title
	$displayEventTitleInTooltip 			= $this->params->get('display_event_title_in_tooltip', 1); // 0 = false, 1 = true
	$abbrTitleInTooltip 					= $this->params->get('abbr_event_title_in_tooltip', 0); // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharTitleInTooltipCutText		= $this->params->get('abbr_event_title_in_tooltip_cut_text', 20);
	// time
	$displayEventTimeInTooltip 				= $this->params->get('display_event_time_in_tooltip', 1); // 0 = false, 1 = true
	// country
	$displayEventCountryInTooltip 			= $this->params->get('display_event_country_in_tooltip', 1); // 0 = false, 1 = true
	$abbrCountryInTooltip 		 			= $this->params->get('abbr_event_country_in_tooltip', 0);  // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharCountryInTooltipCutText		= $this->params->get('abbr_event_country_in_tooltip_cut_text', 20);
	// location
	$displayEventLocationInTooltip 			= $this->params->get('display_event_location_in_tooltip', 1); // 0 = false, 1 = true
	$abbrLocationInTooltip 		 			= $this->params->get('abbr_event_location_in_tooltip', 0);  // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharLocationInTooltipCutText	= $this->params->get('abbr_event_location_in_tooltip_cut_text', 20);
	// description
	$eventDescriptionInTooltip  			= $this->params->get('event_description_in_tooltip', 1); // 0 = ITEM description, 1 = FIELD description
	$displayEventDescriptionInTooltip 		= $this->params->get('display_event_description_in_tooltip', 1); // 0 = false, 1 = true
	$abbrDescriptionInTooltip 		 		= $this->params->get('abbr_event_description_in_tooltip', 0); // 0 = no, 1 = Limit TITLE to # chars, 2 = CSS (text-overflow:ellipsis)
	$abbrNumCharDescriptionInTooltipCutText	= $this->params->get('abbr_event_description_in_tooltip_cut_text', 40);
	
	// DISPLAY OPTIONS
	// *** EVENTS ***
	$displayEventsInPast 					= $this->params->get('display_events_in_past', 0);
	$displayEventsMonthInPastCustom			= $this->params->get('display_events_month_in_past_custom', 0);
	$displayEventsInFuture 					= $this->params->get('display_events_in_future', 1);
	$displayEventsMonthInFutureCustom		= $this->params->get('display_events_month_in_future_custom', 1);
	// *** MONTH ***
	$displayEmptyMonth 	= $this->params->get('display_empty_month', 0); // 0 = false, 1 = true
	$displayMonthFormat = $this->params->get('display_months_format', 0); // 0 = %B (F) (January through December), 1 = %b (M) (Jan through Dec), 2 = %m (m) (01 through 12), 3 = CUSTOM 
	// create monthNames array
	if ($displayMonthFormat == 0) { // long
		# $MonthDateParam ='F';
		$MonthDateFormat ='%B';
	} 
    elseif ($displayMonthFormat == 1) { // short
		# $MonthDateParam ='M';
		$MonthDateFormat ='%b';
	} 
    elseif ($displayMonthFormat == 2) { // integer with leading 0
		# $MonthDateParam ='m';
		$MonthDateFormat ='%m';
	} 
    if ($displayMonthFormat == 3) { // custom
		$mNs			= explode (",",($this->params->get('months_names_custom'))); 
		$nameKey = 1;
		foreach($mNs as $value){
        	$monthNames[$nameKey] = $value;
        	$nameKey++;
    	}
	} else {
		for ($nameKey = 1; $nameKey <=12; $nameKey++) {
			$monthNames[$nameKey] = date('m', strtotime('2012-' . $nameKey));
			$monthNames[$nameKey] = utf8_encode(strftime($MonthDateFormat, strtotime('2012-' .$monthNames[$nameKey])));	
		}	
	}
	// *** WEEKDAY ***
	$weekStartDay 			= $this->params->get('week_start_day', 0); // day to start week on (Sunday: 0, Monday: 1, ... could be extended)
	$displayWeekdayFormat 	= $this->params->get('display_weekday_format', 0); // 0 = %a (D) (Sun through Sat), 1 = %A (L) (Sunday through Saturday), 2 = %d (d) (01 through 31), 3 = CUSTOM 
	// create weekdayNames array
	
	if ($displayWeekdayFormat == 0) { // short
		# $WeekdayDateParam ='D';
		$WeekdayDateFormat ='%a';
	} 
	elseif ($displayWeekdayFormat == 1) { // long
		# $WeekdayDateParam ='L';
		$WeekdayDateFormat ='%A';
	} 
	elseif ($displayWeekdayFormat == 2) { // integer with leading 0
		# $WeekdayDateParam ='d';
		$WeekdayDateFormat ='%d';
	} 
	if ($displayWeekdayFormat == 3) { // custom
		$wNs						= explode (",",($this->params->get('weekdays_names_custom'))); 
		$nameKey = 1;
		foreach($wNs as $value){
        	$weekdayNames[$nameKey] = $value;
        	$nameKey++;
    	}
	} else {
		for ($nameKey = 0; $nameKey < 7; $nameKey++) {
			$weekdayNames[$nameKey] = date('D', strtotime("+$nameKey days", strtotime('2005-07-31'))); // 2005-07-31 = Sunday
			$weekdayNames[$nameKey] = utf8_encode(strftime($WeekdayDateFormat, strtotime($weekdayNames[$nameKey])));
		}	
	}
	for ($nameKey = 0; $nameKey < 7; $nameKey++) { // for abbr title
		$weekdayNamesAbbr[$nameKey] = date('D', strtotime("+$nameKey days", strtotime('2005-07-31'))); // 2005-07-31 = Sunday
		$weekdayNamesAbbr[$nameKey] = utf8_encode(strftime('%A', strtotime($weekdayNamesAbbr[$nameKey])));
	}
	
	/***** Start: *****/
	foreach ($this->items as $item) { // BOF1 loop for items
	
	// count event_start_date fields
	$field_value_nrs = ((isset($item->fields[$event_startDateField])) ? count ($item->fields[$event_startDateField]) : 0 ); //count required field
	//BOF2 (loop for more event_startDate Field's in one item)
	if ($field_value_nrs >= 1) {
	for($nr = 0; $nr < $field_value_nrs; ++$nr) { 
			
			$eventStartDate 			= ( (isset($item->fields[$event_startDateField]->value[$nr])) ? (date('Y-n-d', strtotime($item->fields[$event_startDateField]->value[$nr]))) : "" );
			$eventEndDate				= ( (isset($item->fields[$event_endDateField]->value[$nr])) ? (date('Y-n-d', strtotime($item->fields[$event_endDateField]->value[$nr]))) : "" );
			if ($event_startTimeField) $eventStartTime 	= ( (isset($item->fields[$event_startTimeField]->value[$nr])) ? (date('H:i', strtotime($item->fields[$event_startTimeField]->value[$nr]))) : "" );
			if ($event_endTimeField) $eventEndTime		=  ( (isset($item->fields[$event_endTimeField]->value[$nr])) ? (date('H:i', strtotime($item->fields[$event_endTimeField]->value[$nr]))) : "" );
			$eventCountry				= ( (isset($item->fields[$event_countryField]->value[$nr])) ? ($item->fields[$event_countryField]->value[$nr]) : ( (isset($item->fields[$event_countryField]->value[0])) ? ($item->fields[$event_countryField]->value[0]) : "" ) );
			$eventLocation				= ( (isset($item->fields[$event_locationField]->value[$nr])) ? ($item->fields[$event_locationField]->value[$nr]) : ( (isset($item->fields[$event_locationField]->value[0])) ? ($item->fields[$event_locationField]->value[0]) : "" )  );
			$eventTitle					= ( (isset($item->fields[$event_titleField]->value[$nr])) ? ($item->fields[$event_titleField]->value[$nr]) : ( (isset($item->fields[$event_titleField]->value[0])) ? ($item->fields[$event_titleField]->value[0]) : "" ) );
			$eventDescription			= ( (isset($item->fields[$event_descriptionField]->value[$nr])) ? ($item->fields[$event_descriptionField]->value[$nr]) : ( (isset($item->fields[$event_descriptionField]->value[0])) ? ($item->fields[$event_descriptionField]->value[0]) : "" ) );
			$eventImage					= ( (isset($item->fields[$event_imageField]->value[$nr])) ? ($item->fields[$event_imageField]->value[$nr]) : ( (isset($item->fields[$event_imageField]->value[0])) ? ($item->fields[$event_imageField]->value[0]) : "" ) );
			
			$item->cal_eventStartDate 	= $eventStartDate;
			$item->cal_eventEndDate 	= $eventEndDate;
			$item->cal_eventStartTime 	= $eventStartTime;
			$item->cal_eventEndTime 	= $eventEndTime;
			$item->cal_eventCountry 	= $eventCountry;
			$item->cal_eventLocation 	= $eventLocation;
			$item->cal_eventTitle 		= $eventTitle;
			$item->cal_eventDescription = $eventDescription;
			$item->cal_eventImage		= $eventImage;
			

			$eventDate = array(explode('-', $item->fields[$event_startDateField]->value[$nr])); // reset array, $eventDate[0] = start date
			
			if ($event_endDateField && isset($item->fields[$event_endDateField]->value[$nr])) $eventDate[] = explode('-', $item->fields[$event_endDateField]->value[$nr]); // $eventDate[1] = end date			
			foreach ($eventDate as &$date) {
				//we want: 
				//$date[0]	= Y as integer (year)
				//$date[1]	= n as integer (month)
				//$date[2]	= j as integer (day)
				//$date[3]	= m as integer (month with leading 0)
				//$date[4]	= d as integer (day with leading 0)
				$dateCopy 	= $date;
				$date 		= array_map("intval", $date); // array_map — Applies the callback to the elements of the given arrays, intval - get the integer value/convert string values
				$date[] 	= $dateCopy[1]; // add back string for month...
				$date[] 	= $dateCopy[2]; // ...and date
			}
			unset($date); // break/unset last reference
			$eventTime = false;
			// only pay attention to time, if start-time is set
			if ($event_startTimeField && isset($item->fields[$event_startTimeField]->value[$nr])) {  
				$eventTime[] = intval(str_replace(':', '', $item->fields[$event_startTimeField]->value[$nr]));
				if ( $event_endTimeField && isset($item->fields[$event_endTimeField]->value[$nr]) ) $eventTime[] = intval(str_replace(':', '', $item->fields[$event_endTimeField]->value[$nr]));
			}
			// Check: does this event lie in the current month's time range?
			$dateToCheck = isset($eventDate[1]) ? $eventDate[1] : $eventDate[0]; // $dateToCheck[0] = year, $dateToCheck[1] = month, $eventDate[0] = start date, $eventDate[1] = end date
			$dateToCheck2 = isset($eventDate[0]) ? $eventDate[0] : '0';
			$yearDiff = $dateToCheck[0] - $today[0]; // $today[0] = year int e.g. 2011
			// if event year < current year OR (event year is current year and event month < current month)
			// show no events in past
			
			if ($displayEventsInPast == 0) { // 0 = No, 1 = all, 2 = custom ($displayEventsMonthInPastCustom)
				if ( $yearDiff < 0 || ($yearDiff == 0 && $dateToCheck[1] < ($today[1])) ) continue; // skip it < event doesnt lie in the current month's time range ($today[1] = month e.g. 4)
			}
			if ($displayEventsInPast == 2) {
				if (($dateToCheck[1] < ($today[1] - $displayEventsMonthInPastCustom)) && ($dateToCheck2[1] < ($today[1] - $displayEventsMonthInPastCustom))) continue;
			}
			// show no events in future
			if ($displayEventsInFuture == 0) { // 0 = No, 1 = all, 2 = custom ($displayEventsMonthInPastCustom)
				if ( $yearDiff > 0 || ($yearDiff == 0 && $dateToCheck[1] > ($today[1])) ) continue; // skip it < event doesnt lie in the current month's time range ($today[1] = month e.g. 4)
			}
			if ($displayEventsInFuture == 2) {	 
				if (($dateToCheck[1] > ($today[1] + $displayEventsMonthInFutureCustom)) && ($dateToCheck2[1] < ($today[1] + $displayEventsMonthInFutureCustom))) continue; 
			}
			$monthAdjust = 0;
			if ( $yearDiff > 0 && $eventDate[0][0] == $dateToCheck[0] ) {
				$monthAdjust = $yearDiff * 12;
			}
			
			// this event needs to be displayed
			if (isset($eventDate[0]) && $eventDate[0] != "")  { //BOF3 
				//BOF4 single-day or multi-day event (not day by day)
				if ($eventDate[0] == $dateToCheck) { //if $eventDate[0][0] == $dateToCheck[0] (Year) && $eventDate[0][1] == $dateToCheck[1] (Month) && $eventDate[0][2] == $dateToCheck[2] (Day)
					$eventMonthKey = ($dateToCheck[1] + $monthAdjust);
					// if month doesn't yet exist, add month and year as $months[month][0]
					if (!isset($months[$eventMonthKey])) $months[$eventMonthKey][] = array($eventDate[0][0], $eventDate[0][1]); 
					$eventTimeKey = $eventTime ? $eventTime[0] : ++$noTimeCount;
					while(isset($months[$eventMonthKey][$dateToCheck[2]][$eventTimeKey])) {
						$eventTimeKey++;
					}
					// prepare event_classification
					if ($event_classification && !isset($item->cal_classification)) {
						if ($event_classification == 2) { // using category css for event_classification
							foreach ($item->cats as $cat) {
								if ($cat->id == $item->catid) { // found primary category
									$event_classification_class = substr($cat->slug, strpos($cat->slug, ':')+1);
									$event_classification_name = $cat->title;
									break;
								}
							}
						}
						else { // using custom event type (field)
							$event_classification_class	= ( (isset($item->fields[$event_typeField]->value[$nr])) ? ($item->fields[$event_typeField]->value[$nr]) : ($item->fields[$event_typeField]->value[0])  );
							# $event_classification_class = $item->fields[$event_typeField]->value[0];
							$event_classification_name = $item->fields[$event_typeField]->display;
						}
						if (($event_classification_key || !$displayEventTitleInDay) && !array_key_exists($event_classification_name, $event_classification_Names)) {
							$event_classification_Names[$event_classification_class] = $event_classification_name;					
						}
						$item->cal_classification = $event_classification_class;
					}
					// add item (single event):
					$months[$eventMonthKey][$dateToCheck[2]][$eventTimeKey] = $item; // i.e., $months[month from 0=currentmonth][day][time]	
				}
				else { // multi-day event (day by day) OF4 if ($eventDate[0] == $dateToCheck) > single-day event
					if ($sameMonth = ($eventDate[0][1] == $eventDate[1][1])) { // event within same month
						$i = $eventDate[0][2];
						$event_endDay = $eventDate[1][2];
					} 
					else { //OF6 event in different months
						$multiYearAdjust = ($eventDate[1][0] - $eventDate[0][0]) * 12; // adjustment for multi-year event
						if ($eventDate[0][0] == $today[0] && $eventDate[0][1] < $today[1]) { // $today[0] = year int e.g. 2011, $today[1] = month e.g. 4
							// if it's the same year and before the current month and choose DISPLAY events in past = no, set $eventDate to 1st of today's month
							if ( ($displayEventsInPast == 0) || ( ($displayEventsInPast == 2) && ($displayEventsMonthInPastCustom < 1)) ) { // 0 = No, 1 = all, 2 = custom
								$eventDate[0][1] = $today[1]; // $today[1] = month e.g. 4
								$eventDate[0][2] = 1;
							}
						}
						$i = $eventDate[0][2];
						$event_endDay = 0;
						for ($m = $eventDate[0][1]; $m < ($eventDate[1][1]+$multiYearAdjust); $m++) { // loop to add in all in beetween months and their days
							// if we haven't changed years, use date start year
							if ($m <= 12) $event_endDay += fcCalendarDaysInMonth($eventDate[0][0], $m);
							// if we've changed years, adjust. NOTE: only supports an event spanning 2 years
							else $event_endDay += fcCalendarDaysInMonth($eventDate[1][0], ($m-$multiYearAdjust));
						}
						if ( ($displayEventsInFuture == 1) || (($displayEventsInFuture == 2) && ($displayEventsMonthInFutureCustom > 0)) ) {
							$event_endDay += $eventDate[1][2];
						}
						
					}
					$index = 0;
					$first = true;
					$weekDayAdjust = 0;
					$yearAdjust = 0;
					$m = $eventDate[0][1]; // month
					$y = $eventDate[0][0]; // year
					$thisItem = 0;
					$event_startDay = $i;
					$event_startMonth = $eventDate[0][1];
					$event_endMonth = $eventDate[1][1];
					
					for ($i; $i <= $event_endDay; $i++) { //BOF5 loop till the event_endDay for one event
						if (($event_catViewLayout == 1) && ($i > $event_startDay))  continue; // show the event only one time in the list layout	
						if ($i > (fcCalendarDaysInMonth($y, $m) + $weekDayAdjust)) {
							$weekDayAdjust += $weekDaysInMonth[$y][$m]; // = $weekDaysInMonth[$y][$m] + $weekDaysInMonth[$y][$m]
							$m++;
							if ($m > 12) {
								$m -= 12; // $m = 13-12 = 1
								$y++;
								$monthAdjust += 12;  //$monthAdjust = 0 + 12;  or $monthAdjust=( ($dateToCheck[0] - $today[0])*12 )+12;
							}
						}
						$eventMonthKey = $m + $monthAdjust;
						// if month doesn't yet exist, add month and year as $months[month][0]
						if (!isset($months[$eventMonthKey])) $months[$eventMonthKey][] = array($y, $m);
						// TEST echo $eventMonthKey.'-eventMonthKey';
						$eventTimeKey = $eventTime ? $eventTime[0] : ++$noTimeCount;
						
						while(isset($months[$eventMonthKey][$i-$weekDayAdjust][$eventTimeKey])) {
							$eventTimeKey++;
							// TEST echo $eventTimeKey.'-eventTimeKey';
						}
						// prepare event_classification
						if ($event_classification && !isset($item->cal_classification)) {
							if ($event_classification == 2) { // using category css for event_classification
								foreach ($item->cats as $cat) {
									if ($cat->id == $item->catid) { // found primary category
										$event_classification_class = substr($cat->slug, strpos($cat->slug, ':')+1);
										$event_classification_name = $cat->title;
										break;
									}
								}
							}
							else { // using custom event type field
								$event_classification_class	= ( (isset($item->fields[$event_typeField]->value[$nr])) ? ($item->fields[$event_typeField]->value[$nr]) : ($item->fields[$event_typeField]->value[0])  );
								# $event_classification_class = $item->fields[$event_typeField]->value[0];
								$event_classification_name = $item->fields[$event_typeField]->display;
							}
							if (($event_classification_key || !$displayEventTitleInDay) && !array_key_exists($event_classification_name, $event_classification_Names)) {
								$event_classification_Names[$event_classification_class] = $event_classification_name;					
							}
							$item->cal_classification = $event_classification_class;
						} 
						// add item (multiday event)
						$months[$eventMonthKey][$i-$weekDayAdjust][$eventTimeKey] = clone($item);
						
					} //EOF5 for ($i; $i <= $event_endDay; $i++)
				} //EOF4 if ($eventDate[0] == $dateToCheck) > single-day event // OF4 else > multi-day event (day by day)
			}  //EOF3 (isset($eventDate[0]) && $eventDate[0] != "")
	}  // EOF2 end for($nr = 0; $nr < $field_value_nrs; ++$nr)
	}
	} //EOF1 foreach ($this->items as $item)  > loop for items

	unset($item);
	// add CSS based on display type (with or without title) ... 
	$calendarCss = '';
	if (($event_classification == 2) && $event_classification_key && count($event_classification_Names)) {
		$keyCount = 0;
		foreach ($event_classification_Names as $nameKey => $name) {
			$calendarCss .= "\n" . ($displayEventTitleInDay ? '.classification-key ' : '.classified-') . $nameKey . ' .eventNumber a' . ', dt.classified-' .$nameKey . '{ background-color:#' . $eventClassificationCatCssColors[$keyCount] . ' !important; }'
			. ($displayEventTitleInDay ? "\n" . '.day-eventlist '.$nameKey.' a, .day-eventlist .classified-'.$nameKey.' a:link, .day-eventlist .classified-'.$nameKey.' a:visited, .day-eventlist .classified-'.$nameKey.' a:hover { color:#' . $eventClassificationCatCssColors[$keyCount] . ' !important; }' : '' );
			$calendarCss .= ($displayEventTitleInDay ? "\n" . '.day-eventlist .classified-'.$nameKey.' { border-color:#' . $eventClassificationCatCssColors[$keyCount] . ' !important; }' : '' );
			$keyCount++;
		}
	

	/*
	$firstTime = true;
	if (count($event_classification_Names)) {
		$calendarCss .= 'ul.';
		$specialCalCss = '';
			foreach ($event_classification_Names as $nameKey => $name) {
				$calendarCss .= ($specialCalCss ? ', ' : '') . "$nameKey.day-eventlist";
				foreach ($event_classification_Names as $subNameKey => $subName) {
					$specialCalCss .= ($specialCalCss ? ', ' : '') . ".calendar .$nameKey .$subNameKey";
				}
			}
		$calendarCss .= $specialCalCss 
		. ' 
		{ 
			// if event types get nested, the child shouldn\'t have a bckg-color and should be displayed inline
			background-color:transparent;
			display:inline;
			text-indent:auto;
		}';
	}
	*/
	}

	// output event_classification key
	if ($event_classification && $displayEventClassificationColorKey && $event_classification_key && count($event_classification_Names)) {
		echo '<dl class="classification-key">';
		$colorCount = count($eventClassificationCatCssColors);
		$keyCount = 1;
		foreach ($event_classification_Names as $nameKey => $name) {
		
			if (($event_classification == 1 && $nameKey != '') || ($event_classification == 2 && ($keyCount <= $colorCount) != '')) {
			echo '
			<dt class="'. (($event_classification  == 2 ? 'key-color' : 'key-field ')) . (($nameKey != '')? ' classified-' . $nameKey : 'classified-no') . '">&nbsp;</dt>
			<dd class="key-title">' . (($nameKey != '') ? $name  : '') . '&nbsp;</dd>';
			}
		$keyCount++;
		}
		echo '</dl>
		<div class="clear"></div>';
	}

	 // add custom CSS
	$document->addStyleDeclaration($calendarCss);

	// now that they're categorized by month, array key sort the months (array keys are dates)
	// then, foreach ($months as $key => $month); before calling function for the month,
	//	 1. call function for empty months, if exist, btwn month being processed and today's month
	//		-> add a special css class for those months (like 'empty')
	//	 2. sort within days by time/no time set
	ksort($months); // sort main array by month keys
	$lastMonth = $today[1]; // $today[1] = month e.g. 4
	foreach ($months as $key => &$month) {
		if (($displayEmptyMonth) /*|| ($event_catViewLayout != 1)*/ ){ 
			while ($lastMonth < ($key-1)) { // fill in empty months
				$y = $today[0]; // $today[0] = year int e.g. 2011
				for ($m = $lastMonth+1; $m > 12; $m -= 12) { // in case it's sometime next year
					$y++;
				}
				fcCalendarOutputMonth(array(array($y, $m)), $this);
				$lastMonth++;
			}
		}
		ksort($month);
		foreach($month as &$weekDay) {
			ksort($weekDay); // sorts by time (if no time has been set, it goes after events with time set)
			$weekDay = array_values($weekDay); // reindexes array starting at 0 (don't need to keep time-based keys)
		}
		unset($weekDay);
		fcCalendarOutputMonth($month, $this);
		$lastMonth = $key;
	}
	unset($month);
else : ?>
	<div class="noitems"><?php echo JText::_( 'FLEXI_NO_ITEMS_CAT' ); ?></div>
<?php endif; // EOF0 if ($count) : ?> 

<?php
/**
 * Outputs a calendar for one month
 *
 * @param $monthItems	an array with $monthItems[0] containing an array with year & month integers
 * 						and 1 - ... containing event items for each day of the month
 * @param $helper		passing $this from the object context to this function
 * 
 * @return nothing (outputs the content directly)
 * @author Andrew Patton
 **/
function fcCalendarOutputMonth($monthItems, $helper)
{
	/***** prep global variables *****/
	global $today, $monthName, $monthNames,$displayWeekdayFormat, $WeekdayDateFormat, $weekdayNames, $displayEmptyMonth, $displayEventsInPast, $displayEventsMonthInPastCustom, $displayEventsMonthInFutureCustom, $weekdayNamesAbbr, $weekDaysInMonth, $weekStartDay, $event_catViewLayout, $event_startDateField, $event_endDateField, $event_startTimeField, $event_endTimeField, $event_typeField, $displayEventMonthHeaderInListLayout, $displayEventMonthAccordionInListLayout, $displayEventYearInListLayout, $eventTitleInDay, $displayEventTitleInDay, $displayEventNumbersInDay, $displayEventBlockInDayOnly, $abbrTitleInDay, $abbrNumCharTitleInDayCutText, $eventTitleInTooltip, $displayEventTitleInTooltip, $abbrTitleInTooltip, $abbrNumCharTitleInTooltipCutText, $event_titleField, $event_descriptionField, $event_imageField, $event_locationField, $event_countryField, $event_classification, $displayEventClassificationColorKey, $colgroup, $thead, $displayEventTimeInDay, $displayEventLocationInDay, $abbrLocationInDay, $abbrNumCharLocationInDayCutText, $displayEventCountryInDay, $abbrCountryInDay, $abbrNumCharCountryInDayCutText, $eventDescriptionInDay, $displayEventDescriptionInDay, $abbrDescriptionInDay, $abbrNumCharDescriptionInDayCutText, $displayEventTimeInTooltip, $displayEventLocationInTooltip, $abbrLocationInTooltip, $abbrNumCharLocationInTooltipCutText, $displayEventCountryInTooltip, $abbrCountryInTooltip, $abbrNumCharCountryInTooltipCutText, $eventDescriptionInTooltip, $displayEventDescriptionInTooltip, $abbrDescriptionInTooltip, $abbrNumCharDescriptionInTooltipCutText;
?>
    <div class="months-block-wrap <?php if ($event_catViewLayout == 1) echo 'event-list'; ?> <?php echo (count($monthItems) == 1 ? 'empty': '') ?>">
        <div class="months-block">
        
		<?php	
		
		if ($event_catViewLayout == 0) {  // BOF  $event_catViewLayout == 0
			// create table thead
			$colgroup = $thead = '';
			for ($weekDay = 0; $weekDay < 7; $weekDay++) {
				$adjustedWeekDay = ($weekDay + $weekStartDay) % 7;
				$colgroup .= '<col class="' . ($adjustedWeekDay == 0 || $adjustedWeekDay == 6 ? 'weekend' : 'weekday') . '" />';
				$thead 	.= '<th scope="col" class="' . ($adjustedWeekDay == 0 || $adjustedWeekDay == 6 ? 'month-weekend' : 'month-weekday cal-weekday'. $adjustedWeekDay ) . '">' 
						. (!isset($displayWeekdayFormat) ? '<abbr title="' . JText::_($weekdayNamesAbbr[$adjustedWeekDay]) . '">' . JText::_($weekdayNames[$adjustedWeekDay]) . '</abbr>' 
						: JText::_($weekdayNames[$adjustedWeekDay]) ) . '</th>';
			}
			?>
			<table summary="Kalender <?php echo JText::_($monthNames[$monthItems[0][1]]) ?> <?php echo $monthItems[0][0] ?>" id="calendar-<?php echo $monthItems[0][0] . $monthItems[0][1] ?>" class="flexi-event-table <?php echo (count($monthItems) == 1 ? 'empty': '') ?>">
				<?php if ($displayEventMonthHeaderInListLayout == 1) : ?>
                <caption><?php echo JText::_($monthNames[$monthItems[0][1]]).' '.$monthItems[0][0] ?></caption>
                <?php endif; ?>
				<colgroup>
					<?php echo $colgroup ?>
				</colgroup>
				<thead>
					<tr class="sectiontableheader">
						<?php echo $thead ?>
					</tr>
				</thead>
				<tbody>
						<tr class="sectiontableentry-empty">
							<td colspan="7">
							</td>
						</tr>
						<?php
						$weekDayInMonth = fcCalendarDaysInMonth( $monthItems[0][0], $monthItems[0][1] );
						$weekDayOfFirst = fcCalendarDayOfFirst( $monthItems[0][0], $monthItems[0][1] );
						for ($w = 0; $w < fcCalendarWeeksInMonth( $monthItems[0][0], $monthItems[0][1] ); $w++) : ?>
							<tr class="sectiontableentry<?php echo ($w % 2) + 1 ?>">
							<?php 
							// go through each day, checking as you go for events
							for ($d = ($w * 7) + 1; $d <= ($w * 7 + 7); $d++) :
								// prep $thisDay and yyyymmdd int:
								$thisDay = $d - $weekDayOfFirst;
								$thisDayInt = ($monthItems[0][0]*10000 + $monthItems[0][1]*100 + $thisDay);
								if ( $thisDay > 0 && $thisDay <= $weekDayInMonth ) : ?>
								<td class="<?php // $today[5]= yyyymmdd as integer e.g. 20110408
									echo ($thisDayInt < $today[5] ? 'day-past' : ($today[5] == $thisDayInt ? 'day-today' : 'day-future')) ?>">
									<span class="day-number"><?php echo $thisDay ?><span class="visuallyhidden">. <?php echo JText::_($monthNames[$monthItems[0][1]]).' '.$monthItems[0][0] ?></span></span>
									<?php 
									if (isset($monthItems[$thisDay])) :
											if (count($monthItems[$thisDay]) == 1) {
												(!$displayEventNumbersInDay && !$displayEventTitleInDay && $event_classification == 2) ? $numbers = false : $numbers = 1;
												$dayEventListUlClass = (!$displayEventTitleInDay ? ' numbered' : ' titled') . ' one-event-in-day' . ($event_classification == 2 ? ' classified-cat' : '') . ($event_classification == 1 ? ' classified-field' : '');
											} 
											elseif (count($monthItems[$thisDay]) >= 2) {
												// if same event type, use numbers to represent events
												$numbers = (isset($monthItems[$thisDay][0]->cal_classification) == isset($monthItems[$thisDay][1]->cal_classification) ? 1 : false); 									
												$dayEventListUlClass = (!$displayEventTitleInDay ? ' numbered' : ' titled') . ' more-events-in-day ' . ($event_classification == 2 ? ' classified-cat' : '') . ($event_classification == 1 ? ' classified-field' : '') . ($numbers ? ' same-cat ' . isset($monthItems[$thisDay][0]->cal_classification)  : ' mixed-cat');
											}
									   
											(!$displayEventNumbersInDay && !$displayEventTitleInDay && $event_classification == 2) ? $numbers = false : $numbers = 1;
										?>
										<ul class="day-eventlist<?php echo $dayEventListUlClass ?>">
								
										<?php 
										foreach ($monthItems[$thisDay] as $monthItem) : ?>
											<?php 
											// event TITLE IN DAY
											if ($displayEventTitleInDay || $displayEventNumbersInDay || !$displayEventTitleInDay) { 
												$eventTitleInDayText = $helper->escape($monthItem->title); // ITEM-Title
												if (($eventTitleInDay == 1) && (isset($monthItem->cal_eventTitle)) && ($monthItem->cal_eventTitle != "") ){ // FIELD-Title 
													$eventTitleInDayText = ($monthItem->cal_eventTitle);
												}
												 //  hidden titles
												$item_separator = '::';					
												$eventTitleInDayText = explode($item_separator, $eventTitleInDayText);
												$itemTitle = $eventTitleInDayText[0];
												if (isset($eventTitleInDayText[1])) {
													$itemHiddenTitle = '<span class="hidden-title">'.$eventTitleInDayText[1].'</span>';
												} else {
													$itemHiddenTitle = '';
												};
												$eventTitleInDayText = $itemTitle;
												if ($abbrTitleInDay == 1) {
													if (strlen($eventTitleInDayText) > $abbrNumCharTitleInDayCutText) {
														$eventTitleInDayText = substr($eventTitleInDayText, 0, $abbrNumCharTitleInDayCutText) . '...';
													}
													else {
														$eventTitleInDayText = $eventTitleInDayText;
													}
												}										
												$wordCount = str_word_count($eventTitleInDayText);
												if ($wordCount >= 2) {
													$eventTitleInDayText		= explode(' ', $eventTitleInDayText);
													$eventTitleInDayText[0] 	= '<span>'.$eventTitleInDayText[0].'</span>';
													$eventTitleInDayText		= join(' ', $eventTitleInDayText);
												}
												else {
													$eventTitleInDayText 	= $eventTitleInDayText;
												}
												if ($abbrTitleInDay == 2) $eventTitleInDayText = '<span class="overflow">' . $eventTitleInDayText . '</span>';
											}
											// event COUNTRY IN DAY
											if ($displayEventCountryInDay && !$displayEventBlockInDayOnly) {
												$eventCountryInDayText = "";
												if ((isset($monthItem->cal_eventCountry)) && ($monthItem->cal_eventCountry != "")) {
													$eventCountryInDayText = $monthItem->cal_eventCountry;
													if ($abbrCountryInDay) {
														if (strlen($eventCountryInDayText) > $abbrNumCharCountryInDayCutText) {
															$eventCountryInDayText = substr($eventCountryInDayText, 0, $abbrNumCharCountryInDayCutText) . '...';
														}
														else {
															$eventCountryInDayText = $eventCountryInDayText;
														}
													}
												if ($abbrCountryInDay == 2) $eventCountryInDayText = '<span class="overflow">' . $eventCountryInDayText . '</span>';
												}	
											}
											// event LOCATION IN DAY
											if ($displayEventLocationInDay && !$displayEventBlockInDayOnly) {
												$eventLocationInDayText = "";
												if ((isset($monthItem->cal_eventLocation)) && ($monthItem->cal_eventLocation != "")) {
													$eventLocationInDayText = $monthItem->cal_eventLocation;
													if ($abbrLocationInDay) {
														if (strlen($eventLocationInDayText) > $abbrNumCharLocationInDayCutText) {
															$eventLocationInDayText = substr($eventLocationInDayText, 0, $abbrNumCharLocationInDayCutText) . '...';
														}
														else {
															$eventLocationInDayText = $eventLocationInDayText;
														}
													}
												if ($abbrLocationInDay == 2) $eventLocationInDayText = '<span class="overflow">' . $eventLocationInDayText . '</span>';
												}
											}
											 // event DESCRIPTION IN DAY
											if ($displayEventDescriptionInDay && !$displayEventBlockInDayOnly) {
												$eventDescriptionInDayText = flexicontent_html::striptagsandcut ($helper->escape($monthItem->introtext)); // ITEM-Description
												if (($eventDescriptionInDay == 1) && (isset($monthItem->cal_eventDescription)) && ($monthItem->cal_eventDescription != "") ){ // FIELD-Description 
													$eventDescriptionInDayText = flexicontent_html::striptagsandcut ($monthItem->cal_eventDescription);
												}
												if ($abbrDescriptionInDay) {
													if (strlen($eventDescriptionInDayText) > $abbrNumCharDescriptionInDayCutText) {
														$eventDescriptionInDayText = substr($eventDescriptionInDayText, 0, $abbrNumCharDescriptionInDayCutText) . '...';
													}
													else {
														$eventDescriptionInDayText = $eventDescriptionInDayText;
													}
												}
												if ($abbrDescriptionInDay == 2) $eventDescriptionInDayText = '<span class="overflow">' . $eventDescriptionInDayText . '</span>';
											}
											// event TITLE IN TOOLTIP
											if ($displayEventTitleInTooltip) {
												$eventTitleInTooltipText = $helper->escape($monthItem->title); // Item-title
												if (($eventTitleInTooltip == 1) && (isset($monthItem->cal_eventTitle)) && ($monthItem->cal_eventTitle != "") ){ // FIELD-Title 
													$eventTitleInTooltipText = $monthItem->cal_eventTitle;
												}	
												if ($abbrTitleInTooltip) {
													if (strlen($eventTitleInTooltipText) > $abbrNumCharTitleInTooltipCutText) {
														$eventTitleInTooltipText = substr($eventTitleInTooltipText, 0, $abbrNumCharTitleInTooltipCutText) . '...';
													}
													else {
														$eventTitleInTooltipText = $eventTitleInTooltipText;
													}
												}
												if ($abbrTitleInTooltip == 2) $eventTitleInTooltipText = '<span class="overflow">' . $eventTitleInTooltipText . '</span>';
											}
											// event COUNTRY IN TOOLTIP
											if ($displayEventCountryInTooltip) {
												$eventCountryInTooltipText = "";
												if ((isset($monthItem->cal_eventCountry)) && ($monthItem->cal_eventCountry != "")) {
													$eventCountryInTooltipText = $monthItem->cal_eventCountry;
													if ($abbrCountryInTooltip) {
														if (strlen($eventCountryInTooltipText) > $abbrNumCharCountryInTooltipCutText) {
															$eventCountryInTooltipText = substr($eventCountryInTooltipText, 0, $abbrNumCharCountryInTooltipCutText) . '...';
														}
														else {
															$eventCountryInTooltipText = $eventCountryInTooltipText;
														}
													}
												if ($abbrCountryInTooltip == 2) $eventCountryInTooltipText = '<span class="overflow">' . $eventCountryInTooltipText . '</span>';
												}
											}
											// event LOCATION IN TOOLTIP
											if ($displayEventLocationInTooltip) {
												$eventLocationInTooltipText = "";
												if ((isset($monthItem->cal_eventLocation)) && ($monthItem->cal_eventLocation != "")) {
													$eventLocationInTooltipText = $monthItem->cal_eventLocation;
													if ($abbrLocationInTooltip) {
														if (strlen($eventLocationInTooltipText) > $abbrNumCharLocationInTooltipCutText) {
															$eventLocationInTooltipText = substr($eventLocationInTooltipText, 0, $abbrNumCharLocationInTooltipCutText) . '...';
														}
														else {
															$eventLocationInTooltipText = $eventLocationInTooltipText;
														}
													}
												if ($abbrLocationInTooltip == 2) $eventLocationInTooltipText = '<span class="overflow">' . $eventLocationInTooltipText . '</span>';
												}
											}
											 // event DESCRIPTION IN TOOLTIP
											if ($displayEventDescriptionInTooltip) {
												$eventDescriptionInTooltipText = flexicontent_html::striptagsandcut ($helper->escape($monthItem->introtext)); // ITEM-Description
												if (($eventDescriptionInTooltip == 1) && (isset($monthItem->cal_eventDescription)) && ($monthItem->cal_eventDescription != "") ){ // FIELD-Description 
													$eventDescriptionInTooltipText = flexicontent_html::striptagsandcut ($monthItem->cal_eventDescription);
												}
												if ($abbrDescriptionInTooltip) {
													if (strlen($eventDescriptionInTooltipText) > $abbrNumCharDescriptionInTooltipCutText) {
														$eventDescriptionInTooltipText = substr($eventDescriptionInTooltipText, 0, $abbrNumCharDescriptionInTooltipCutText) . '...';
													}
													else {
														$eventDescriptionInTooltipText = $eventDescriptionInTooltipText;
													}
												}
												if ($abbrDescriptionInTooltip == 2) $eventDescriptionInTooltipText = '<span class="overflow">' . $eventDescriptionInTooltipText . '</span>';
											}
											?>
											<?php
											$tooltipText = ($displayEventTitleInTooltip ? $eventTitleInTooltipText . '<br /> ::' : '::' )		
											. (($displayEventTimeInTooltip) && ($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? $monthItem->cal_eventStartTime . ''
												. (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ? '-' . $monthItem->cal_eventEndTime : '')
												. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) || (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ) ? ' '. JText::_('FLEXI_EVENT_TIME_CLOCK') . '<br />' : '')
												. (($displayEventCountryInTooltip) && ($eventCountryInTooltipText != "") && ($monthItem->cal_eventCountry != "") && isset($monthItem->cal_eventCountry) ? $monthItem->cal_eventCountry . '<br />' : '')
												. (($displayEventLocationInTooltip) && ($eventLocationInTooltipText != "") && ($monthItem->cal_eventLocation != "")  && isset($monthItem->cal_eventLocation) ? $monthItem->cal_eventLocation . '<br />' : '')
												. (($displayEventDescriptionInTooltip) && ($eventDescriptionInTooltipText != "") ? $eventDescriptionInTooltipText : '' )
											: '' )
											. '::';		
											?>
											<li class="event-block <?php if (isset($monthItem->cal_classification)) echo 'classified-'.$monthItem->cal_classification; ?> <?php echo $numbers .'-event-in-day eventItemId-' . $monthItem->id . (($numbers % 2) ? ' odd' : ' even' ) ?>">
												<span class="event-infoblock">
													<?php 
													if ($displayEventTitleInDay || $displayEventNumbersInDay || !$displayEventTitleInDay) { 
													?>
													<span class="event-info <?php echo (!$displayEventTitleInDay ? ' eventNumber' : ' eventTitle' ) ?>"> 
													<a class="hasTip" title="<?php echo $tooltipText ?>" href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($monthItem->slug, $helper->category->slug)); ?>">
													<?php echo ((!$displayEventTitleInDay) ? $numbers . '<span class="hidden-title">'. $eventTitleInDayText . '</span>' : $eventTitleInDayText);  ?></a>
													</span>
                                                    	<?php 
														if ($displayEventTimeInDay && !$displayEventBlockInDayOnly) {
														echo 
														(($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? '<span class="event-info eventTime">' . $monthItem->cal_eventStartTime
															. (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ? '-' . $monthItem->cal_eventEndTime : '')
															. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) || (isset($monthItem->cal_eventEndTime) ) ? ' '.JText::_('FLEXI_EVENT_TIME_CLOCK') : '')
															. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? '</span>' : '' )
														: '' );
														}
														if ($displayEventCountryInDay && !$displayEventBlockInDayOnly) {
														echo 
														(($eventCountryInDayText != "") && isset($monthItem->cal_eventCountry) ? '<span class="event-info eventCountry">' . $eventCountryInDayText . '</span>' : '' );
														}
														if ($displayEventLocationInDay && !$displayEventBlockInDayOnly) {
														echo 
														(($eventLocationInDayText != "") && isset($monthItem->cal_eventLocation) ? '<span class="event-info eventLocation">' . $eventLocationInDayText . '</span>' : '' );
														}
													} ?> 
													<?php 
													if ($displayEventDescriptionInDay && !$displayEventBlockInDayOnly) {
														if ($eventDescriptionInDayText != "") {
															echo '<span class="event-info eventDescription">' . $eventDescriptionInDayText . '</span>';
														}
													}
													?>
												</span>
											</li>
											<?php $numbers++;
											endforeach; // EOF foreach ($monthItems[$thisDay] as $monthItem ?>
										</ul>
									<?php endif; // EOF if (isset($monthItems[$thisDay]))
									else : ?>
									<td class="non-day<?php echo ($thisDayInt < $today[5] ? ' day-past' : ' day-future') // $today[5]= yyyymmdd as integer e.g. 20110408 ?>">
								<?php endif; // EOF if ( $thisDay > 0 && $thisDay <= $weekDayInMonth )) ?>
								</td>
							<?php endfor; // EOF for ($d = ($w * 7) + 1; $d <= ($w * 7 + 7); $d++) : ?>
							</tr>
						<?php // catch for logical issues:
						endfor; // for ($w = 0; $w < fcCalendarWeeksInMonth( $monthItems[0][0], $monthItems[0][1] ); $w++) ?>
					</tbody>
				</table>
        <?php 
		} // EOF  $event_catViewLayout == 0
		?>
        

		<?php if ($event_catViewLayout == 1) {  // BOF  $event_catViewLayout == 1  // LIST ?>
        
            <?php if (($displayEventMonthAccordionInListLayout == 1) && ($displayEventMonthHeaderInListLayout == 1)) echo '<div class="accordion vertical">'; ?>
            	<div id="<?php echo JText::_($monthNames[$monthItems[0][1]]).$monthItems[0][0] ?>" class="month <?php echo (count($monthItems) == 1 ? 'empty': '') ?>">
            	<?php if ($displayEventMonthHeaderInListLayout == 1) : ?>
            		<h3><a href="#<?php echo JText::_($monthNames[$monthItems[0][1]]).$monthItems[0][0] ?>"><?php echo JText::_($monthNames[$monthItems[0][1]]).' '.$monthItems[0][0] ?></a></h3>
            	<?php endif; ?>
						<?php
						$weekDayInMonth = fcCalendarDaysInMonth( $monthItems[0][0], $monthItems[0][1] );
						$weekDayOfFirst = fcCalendarDayOfFirst( $monthItems[0][0], $monthItems[0][1] );
						for ($w = 0; $w < fcCalendarWeeksInMonth( $monthItems[0][0], $monthItems[0][1] ); $w++) : ?>

							<?php 
							// go through each day, checking as you go for events
							for ($d = ($w * 7) + 1; $d <= ($w * 7 + 7); $d++) :
								// prep $thisDay and yyyymmdd int:
								$thisDay = $d - $weekDayOfFirst;
								$thisDayInt = ($monthItems[0][0]*10000 + $monthItems[0][1]*100 + $thisDay);		 ?>
								<?php  if ((count($monthItems) == 1) ) { ?>
                                    <ul class="day-block">
                                    <li class="<?php echo ($thisDayInt < $today[5] ? 'day-past"' : ($today[5] == $thisDayInt ? 'day-today"' : 'day-future"')) ?>><?php echo JText::_('FLEXI_EVENT_NO_EVENTS'); ?></li>
                                    </ul>	
                                    <?php break 2; 
								} ?>
							<?php 
								if ( ($thisDay > 0 && $thisDay <= $weekDayInMonth) && (isset($monthItems[$thisDay])) ) : ?>
								<ul class="day-block"> <li class="<?php // BOF day-block
									echo ($thisDayInt < $today[5] ? 'day-past"' : ($today[5] == $thisDayInt ? 'day-today"' : 'day-future"')) ?>>

									<?php 
									if (isset($monthItems[$thisDay])) :
											if (count($monthItems[$thisDay]) == 1) {
												$dayEventListUlClass = ' titled one-event-in-day' . ($event_classification == 2 ? ' classified-cat' : '') . ($event_classification == 1 ? ' classified-field' : '');
											} 
											elseif (count($monthItems[$thisDay]) >= 2) {
												$numbers = (isset($monthItems[$thisDay][0]->cal_classification) == isset($monthItems[$thisDay][1]->cal_classification) ? 1 : false); 									
												$dayEventListUlClass = ' titled more-events-in-day ' . ($event_classification == 2 ? ' classified-cat' : '') . ($event_classification == 1 ? ' classified-field' : '') . ($numbers ? ' same-cat ' . isset($monthItems[$thisDay][0]->cal_classification)  : ' mixed-cat');
											}
									   
											(!$displayEventNumbersInDay && !$displayEventTitleInDay && $event_classification == 2) ? $numbers = false : $numbers = 1;
										?>
                                        <div class="event-date-block">
                                        <div class="event-date-block-inner startdateblock">
                                            <?php
											$startDate 		= $thisDay . '-' . $monthItems[0][1] . '-' . $monthItems[0][0];
											$startDate 		= (date('Y-n-d', strtotime($startDate)));
                                         	$weekdayName 	= utf8_encode(strftime($WeekdayDateFormat, strtotime($startDate)));
											$weekdayName 	= utf8_encode(strftime($WeekdayDateFormat, strtotime($startDate)));
											$startYear		= utf8_encode(strftime('%Y', strtotime($startDate)));
											$startMonth		= utf8_encode(strftime('%B', strtotime($startDate)));
											$startDay		= utf8_encode(strftime('%d', strtotime($startDate)));
                                            ?>
                                            <span class="date-block-weekday"><?php echo $weekdayName; ?></span>
                                            <span class="date-block-day"><?php echo $startDay; ?>
                                            	<span class="visuallyhidden">. <?php echo $startMonth.' '.$startYear; ?></span>
                                            </span>
                                            <span class="date-block-month"><?php echo $startMonth; ?></span>
											<?php if ($displayEventYearInListLayout == 1) : ?>
                                            <span class="date-block-year"><?php echo $startYear; ?></span>
                                            <?php endif; ?>
                                        </div> 
										<?php foreach ($monthItems[$thisDay] as $monthItem) :
                                            $endDate = (date('Y-n-d', strtotime($monthItem->cal_eventEndDate)));
                                        endforeach; 
                                        ?>
                                        <?php if ($startDate != $endDate) : ?>
                                        <?php if (isset ($monthItem->cal_eventEndDate) && ($monthItem->cal_eventEndDate) != "" )   : ?>
                                        <div class="event-date-block-inner">
                                            <span class="date-from-to up"> <?php echo JText::_('FLEXI_EVENT_DATE_TO'); ?> </span>
                                        </div>
                                        <div class="event-date-block-inner enddateblock">
                                            <span class="date-block-weekday"><?php echo utf8_encode(strftime('%A', strtotime($endDate))); ?></span>

                                            <span class="date-block-day"><?php echo utf8_encode(strftime('%d', strtotime($endDate))); ?>
                                            	<span class="visuallyhidden">. <?php echo utf8_encode(strftime('%B', strtotime($endDate))).' '.utf8_encode(strftime('%Y', strtotime($endDate))); ?></span>
                                            </span>
                                            <span class="date-block-month"><?php echo utf8_encode(strftime('%B', strtotime($endDate))); ?></span>
											<?php if ($displayEventYearInListLayout == 1) : ?>
                                            <span class="date-block-year"><?php echo utf8_encode(strftime('%Y', strtotime($endDate))); ?></span>
                                            <?php endif; ?>
                                        </div> 
                                        <?php endif; ?>
                                        <?php endif; ?>
                                        </div>   
										<ul class="day-eventlist<?php echo $dayEventListUlClass ?>">
										<?php 
										foreach ($monthItems[$thisDay] as $monthItem) : ?>
											<?php 
											// event TITLE IN DAY
											if ($displayEventTitleInDay || $displayEventNumbersInDay) { 
												$eventTitleInDayText = $helper->escape($monthItem->title); // ITEM-Title
												if (($eventTitleInDay == 1) && (isset($monthItem->cal_eventTitle)) && ($monthItem->cal_eventTitle != "") ){ // FIELD-Title 
													$eventTitleInDayText = ($monthItem->cal_eventTitle);
												}
												 //  hidden titles
												$item_separator = '::';					
												$eventTitleInDayText = explode($item_separator, $eventTitleInDayText);
												$itemTitle = $eventTitleInDayText[0];
												if (isset($eventTitleInDayText[1])) {
													$itemHiddenTitle = '<span class="hidden-title">'.$eventTitleInDayText[1].'</span>';
												} else {
													$itemHiddenTitle = '';
												};
												$eventTitleInDayText = $itemTitle;
												if ($abbrTitleInDay == 1) {
													if (strlen($eventTitleInDayText) > $abbrNumCharTitleInDayCutText) {
														$eventTitleInDayText = substr($eventTitleInDayText, 0, $abbrNumCharTitleInDayCutText) . '...';
													}
													else {
														$eventTitleInDayText = $eventTitleInDayText;
													}
												}										
												$wordCount = str_word_count($eventTitleInDayText);
												if ($wordCount >= 2) {
													$eventTitleInDayText		= explode(' ', $eventTitleInDayText);
													$eventTitleInDayText[0] 	= '<span>'.$eventTitleInDayText[0].'</span>';
													$eventTitleInDayText		= join(' ', $eventTitleInDayText);
												}
												else {
													$eventTitleInDayText 	= $eventTitleInDayText;
												}
												if ($abbrTitleInDay == 2) $eventTitleInDayText = '<span class="overflow">' . $eventTitleInDayText . '</span>';
											}
											// event COUNTRY IN DAY
											if ($displayEventCountryInDay) {
												$eventCountryInDayText = "";
												if ((isset($monthItem->cal_eventCountry)) && ($monthItem->cal_eventCountry != "")) {
													$eventCountryInDayText = $monthItem->cal_eventCountry;
													if ($abbrCountryInDay) {
														if (strlen($eventCountryInDayText) > $abbrNumCharCountryInDayCutText) {
															$eventCountryInDayText = substr($eventCountryInDayText, 0, $abbrNumCharCountryInDayCutText) . '...';
														}
														else {
															$eventCountryInDayText = $eventCountryInDayText;
														}
													}
												if ($abbrCountryInDay == 2) $eventCountryInDayText = '<span class="overflow">' . $eventCountryInDayText . '</span>';
												}
											}
											// event LOCATION IN DAY
											if ($displayEventLocationInDay) {
												$eventLocationInDayText = "";
												if ((isset($monthItem->cal_eventLocation)) && ($monthItem->cal_eventLocation != "")) {
													$eventLocationInDayText = $monthItem->cal_eventLocation;
													if ($abbrLocationInDay) {
														if (strlen($eventLocationInDayText) > $abbrNumCharLocationInDayCutText) {
															$eventLocationInDayText = substr($eventLocationInDayText, 0, $abbrNumCharLocationInDayCutText) . '...';
														}
														else {
															$eventLocationInDayText = $eventLocationInDayText;
														}
													}
												if ($abbrLocationInDay == 2) $eventLocationInDayText = '<span class="overflow">' . $eventLocationInDayText . '</span>';
												}
											}
											 // event DESCRIPTION IN DAY
											if ($displayEventDescriptionInDay) {
												$eventDescriptionInDayText = flexicontent_html::striptagsandcut ($helper->escape($monthItem->introtext)); // ITEM-Description
												if (($eventDescriptionInDay == 1) && (isset($monthItem->cal_eventDescription)) && ($monthItem->cal_eventDescription != "")  ){ // FIELD-Description 
													$eventDescriptionInDayText = flexicontent_html::striptagsandcut ($monthItem->cal_eventDescription);
												}
												if ($abbrDescriptionInDay) {
												
													if (strlen($eventDescriptionInDayText) > $abbrNumCharDescriptionInDayCutText) {
														$eventDescriptionInDayText = substr($eventDescriptionInDayText, 0, $abbrNumCharDescriptionInDayCutText) . '...';
													}
													else {
														$eventDescriptionInDayText = $eventDescriptionInDayText;
													}
												}
												if ($abbrDescriptionInDay == 2) $eventDescriptionInDayText = '<span class="overflow">' . $eventDescriptionInDayText . '</span>';
											}
											// event TITLE IN TOOLTIP
											if ($displayEventTitleInTooltip) {
												$eventTitleInTooltipText = $helper->escape($monthItem->title); // Item-title
												if (($eventTitleInTooltip == 1) && (isset($monthItem->cal_eventTitle)) && ($monthItem->cal_eventTitle != "") ){ // FIELD-Title 
													$eventTitleInTooltipText = $monthItem->cal_eventTitle;
												}
												if ($abbrTitleInTooltip) {
													if (strlen($eventTitleInTooltipText) > $abbrNumCharTitleInTooltipCutText) {
														$eventTitleInTooltipText = substr($eventTitleInTooltipText, 0, $abbrNumCharTitleInTooltipCutText) . '...';
													}
													else {
														$eventTitleInTooltipText = $eventTitleInTooltipText;
													}
												}
												if ($abbrTitleInTooltip == 2) $eventTitleInTooltipText = '<span class="overflow">' . $eventTitleInTooltipText . '</span>';
											}
											// event COUNTRY IN TOOLTIP
											if ($displayEventCountryInTooltip) {
												$eventCountryInTooltipText = "";
												if ((isset($monthItem->cal_eventCountry)) && ($monthItem->cal_eventCountry != "")) {
													$eventCountryInTooltipText = $monthItem->cal_eventCountry;
													if ($abbrCountryInTooltip) {
														if (strlen($eventCountryInTooltipText) > $abbrNumCharCountryInTooltipCutText) {
															$eventCountryInTooltipText = substr($eventCountryInTooltipText, 0, $abbrNumCharCountryInTooltipCutText) . '...';
														}
														else {
															$eventCountryInTooltipText = $eventCountryInTooltipText;
														}
													}
												if ($abbrCountryInTooltip == 2) $eventCountryInTooltipText = '<span class="overflow">' . $eventCountryInTooltipText . '</span>';
												}
											}
											// event LOCATION IN TOOLTIP
											if ($displayEventLocationInTooltip) {
												$eventLocationInTooltipText = "";
												if ((isset($monthItem->cal_eventLocation)) && ($monthItem->cal_eventLocation != "")) {
													$eventLocationInTooltipText = $monthItem->cal_eventLocation;
													if ($abbrLocationInTooltip) {
														if (strlen($eventLocationInTooltipText) > $abbrNumCharLocationInTooltipCutText) {
															$eventLocationInTooltipText = substr($eventLocationInTooltipText, 0, $abbrNumCharLocationInTooltipCutText) . '...';
														}
														else {
															$eventLocationInTooltipText = $eventLocationInTooltipText;
														}
													}
												if ($abbrLocationInTooltip == 2) $eventLocationInTooltipText = '<span class="overflow">' . $eventLocationInTooltipText . '</span>';
												}
											}
											 // event DESCRIPTION IN TOOLTIP
											if ($displayEventDescriptionInTooltip) {
												$eventDescriptionInTooltipText = flexicontent_html::striptagsandcut ($helper->escape($monthItem->introtext)); // ITEM-Description
												if (($eventDescriptionInTooltip == 1) && (isset($monthItem->cal_eventDescription)) && ($monthItem->cal_eventDescription != "")  ){ // FIELD-Description 
													$eventDescriptionInTooltipText = flexicontent_html::striptagsandcut ($monthItem->cal_eventDescription);
												}
												if ($abbrDescriptionInTooltip) {
													if (strlen($eventDescriptionInTooltipText) > $abbrNumCharDescriptionInTooltipCutText) {
														$eventDescriptionInTooltipText = substr($eventDescriptionInTooltipText, 0, $abbrNumCharDescriptionInTooltipCutText) . '...';
													}
													else {
														$eventDescriptionInTooltipText = $eventDescriptionInTooltipText;
													}
												}
												if ($abbrDescriptionInTooltip == 2) $eventDescriptionInTooltipText = '<span class="overflow">' . $eventDescriptionInTooltipText . '</span>';
											}
											?>
											<?php
											$tooltipText = ($displayEventTitleInTooltip ? $eventTitleInTooltipText . '<br /> ::' : '::' )		
											. (($displayEventTimeInTooltip) && ($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? $monthItem->cal_eventStartTime . ''
												. (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ? '-' . $monthItem->cal_eventEndTime : '')
												. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) || (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ) ? ' '.JText::_('FLEXI_EVENT_TIME_CLOCK') . '<br />' : '')
												. (($displayEventCountryInTooltip) && ($eventCountryInTooltipText != "") && ($monthItem->cal_eventCountry != "") && isset($monthItem->cal_eventCountry) ? $monthItem->cal_eventCountry . '<br />' : '')
												. (($displayEventLocationInTooltip) && ($eventLocationInTooltipText != "") && ($monthItem->cal_eventLocation != "")  && isset($monthItem->cal_eventLocation) ? $monthItem->cal_eventLocation . '<br />' : '')
												. (($displayEventDescriptionInTooltip) && ($eventDescriptionInTooltipText != "") ? $eventDescriptionInTooltipText : '' )
											: '' )
											. '::';		
											?>
											<li class="event-block <?php if (isset($monthItem->cal_classification)) echo 'classified-'.$monthItem->cal_classification; ?> <?php echo $numbers .'-event-in-day eventItemId-' . $monthItem->id . (($numbers % 2) ? ' odd' : ' even' ) ?>">
												<span class="event-infoblock">
													<?php 
													if ($displayEventTitleInDay || $displayEventNumbersInDay) { 
													?>
													<span class="event-info <?php echo (!$displayEventTitleInDay ? ' eventNumber' : ' eventTitle' ) ?>"> 
													<a class="hasTip" title="<?php echo $tooltipText ?>" href="<?php echo JRoute::_(FlexicontentHelperRoute::getItemRoute($monthItem->slug, $helper->category->slug)); ?>">
													<?php echo ((!$displayEventTitleInDay) ? $numbers . '<span class="hidden-title">'. $eventTitleInDayText . '</span>' : $eventTitleInDayText);  ?></a>
													</span>
                                                    	<?php
														if ($displayEventTimeInDay ) {
														echo 
														(($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? '<span class="event-info eventTime">' . $monthItem->cal_eventStartTime
															. (($monthItem->cal_eventEndTime != "") && isset($monthItem->cal_eventEndTime) ? '-' . $monthItem->cal_eventEndTime : '')
															. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) || (isset($monthItem->cal_eventEndTime) ) ? ' '.JText::_('FLEXI_EVENT_TIME_CLOCK') : '')
															. (($monthItem->cal_eventStartTime != "") && isset($monthItem->cal_eventStartTime) ? '</span>' : '' )
														: '' );
														}
														if ($displayEventCountryInDay ) {
														echo 
														(($eventCountryInDayText != "") && isset($monthItem->cal_eventCountry) ? '<span class="event-info eventCountry">' . $eventCountryInDayText . '</span>' : '' );
														}
														if ($displayEventLocationInDay ) {
														echo 
														(($eventLocationInDayText != "") && isset($monthItem->cal_eventLocation) ? '<span class="event-info eventLocation">' . $eventLocationInDayText . '</span>' : '' );
														}
													} ?> 
													<?php 
													if ($displayEventDescriptionInDay && $displayEventTitleInDay && $eventDescriptionInDayText != "") {
														echo '<span class="event-info eventDescription">' . $eventDescriptionInDayText . '</span>';
													}
													?>
												</span>
											</li>
											<?php $numbers++;
											endforeach; // EOF foreach ($monthItems[$thisDay] as $monthItem ?>
										</ul>
									<?php endif;  // EOF if (isset($monthItems[$thisDay])) ?>
									</li> </ul>
								<?php endif; // EOF day-block // EOF if ( ($thisDay > 0 && $thisDay <= $weekDayInMonth) && (isset($monthItems[$thisDay])) ) ?>
								
							<?php endfor; // EOF for ($d = ($w * 7) + 1; $d <= ($w * 7 + 7); $d++) : ?>
						<?php // catch for logical issues:
						endfor; // for ($w = 0; $w < fcCalendarWeeksInMonth( $monthItems[0][0], $monthItems[0][1] ); $w++) ?>
         		</div> 
                <?php if (($displayEventMonthAccordionInListLayout == 1) && ($displayEventMonthHeaderInListLayout == 1) ) echo '</div>'; ?>
		<?php 
		} // EOF  $event_catViewLayout == 1 // LIST
		?>
        
        </div>
    </div>
    <div class="clear"></div>

<?php
} // EOF function fcCalendarOutputMonth($monthItems, $helper)

/***** Helper functions: *****/
// returns the day of week number corresponding to 1st of $month
function fcCalendarDayOfFirst($year, $month) {
	global $weekStartDay;
	// mktime = get Unix timestamp for a date
	return (7 + date('w', mktime(0, 0, 0, $month, 1, $year)) - $weekStartDay) % 7;
}

// returns the number of days in $month
function fcCalendarDaysInMonth($year, $month) {
	global $weekDaysInMonth;
	// mktime = get Unix timestamp for a date
	// t = Number of days in the given month (28 through 31)
	return (!isset($weekDaysInMonth[$year][$month]) ? $weekDaysInMonth[$year][$month] = date('t', mktime(0, 0, 0, $month, 1, $year)) : $weekDaysInMonth[$year][$month]); 
}

//returns the number of weeks in $month
function fcCalendarWeeksInMonth($year, $month) {
	//ceil — Round fractions up
	return ceil((fcCalendarDaysInMonth($year, $month) + fcCalendarDayOfFirst($year, $month)) / 7);
}

?>