<?php
/**
 * @version		$Id: category_items.php 1.0 2012-05-05 16:29:00Z reneb $
 * @package 	Joomla
 * @subpackage	FLEXIcontent
 * @copyright 	(C) 2012 Emmanuel Danan - www.vistamedia.fr	
 * @subpackage	ndk-flexicontent-event template
 * @author		Ren Bz,  Andrew Patton
 * @copyright	Copyright (C) 2010 nettdotkomm, Pure Cobalt. All rights reserved.
 * @license		GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

// first define the template name
$tmpl = $this->tmpl;

/***** initialize other variables *****/
$lng = JFactory::getLanguage();
$loc = $lng->getLocale() ;
setlocale(LC_ALL, $loc );
// Set the class for controlling number of columns in custom field blocks
switch ($this->params->get( 'columnmode', 2 )) {
	case 0: $columnmode = 'singlecol'; break;
	case 1: $columnmode = 'doublecol'; break;
	default: $columnmode = ''; break;
}
// today's date  // setlocale (LC_TIME, "de_DE");
$today = date('Y-n-d');
$today = date('Y-n-d', strtotime($today));

/***** Flexicontent pageclass sufix *****/
$page_classes  = '';
$page_classes .= $this->pageclass_sfx ? ' page'.$this->pageclass_sfx : '';
$page_classes .= ' items item'.$this->item->id;
$page_classes .= ' type'.$this->item->type_id;

/***** get Template params *****/
// LAYOUT
$html5					= $this->params->get('html5', 0); // 0 = XHTML , 1 = HTML5
$event_itemViewLayout	= $this->params->get('event_item_view_layout', 1); // 0 = List , 1 = Table
// EVENT FIELD NAMES - EVENT DATE AND TIME
$event_startDateField	= $this->params->get('event_startdate_field'); // REQUIRED
$event_endDateField 	= $this->params->get('event_enddate_field');
$event_startTimeField 	= $this->params->get('event_starttime_field');
$event_endTimeField 	= $this->params->get('event_endtime_field');
$fieldsEventStartDate 			= ( (isset($this->item->positions['renderonly']->$event_startDateField)) ? ($this->item->fields[$event_startDateField]) : false );	
$fieldsEventEndDate 			= ( (isset($this->item->positions['renderonly']->$event_endDateField)) ? ($this->item->fields[$event_endDateField]) : false );	
$fieldsEventStartTime 			= ( (isset($this->item->positions['renderonly']->$event_startTimeField)) ? ($this->item->fields[$event_startTimeField]) : false );	
$fieldsEventEndTime 			= ( (isset($this->item->positions['renderonly']->$event_endTimeField)) ? ($this->item->fields[$event_endTimeField]) : false );		
// EVENT FIELD NAMES - EVENT INFOS
$event_countryField 		= $this->params->get('event_country_field');
$event_locationField 		= $this->params->get('event_location_field');
$event_titleField 			= $this->params->get('event_title_field');
$event_descriptionField 	= $this->params->get('event_description_field');
$event_imageField 			= $this->params->get('event_image_field');
$event_imageGalerieField 	= $this->params->get('event_image_galerie_field'); 
$fieldsEventTitle 			= ( (isset($this->item->positions['renderonly']->$event_titleField)) ? ($this->item->fields[$event_titleField]) : false );	
$fieldsEventCountry 		= ( (isset($this->item->positions['renderonly']->$event_countryField)) ? ($this->item->fields[$event_countryField]) : false );	
$fieldsEventLocation 		= ( (isset($this->item->positions['renderonly']->$event_locationField)) ? ($this->item->fields[$event_locationField]) : false );	
$fieldsEventDesc 			= ( (isset($this->item->positions['renderonly']->$event_descriptionField)) ? ($this->item->fields[$event_descriptionField]) : false );	
$fieldsEventImage 			= ( (isset($this->item->positions['renderonly']->$event_imageField)) ? ($this->item->fields[$event_imageField]) : false );	
$fieldsEventImageGalerie 	= ( (isset($this->item->positions['renderonly']->$event_imageGalerieField)) ? ($this->item->fields[$event_imageGalerieField]) : false );	


/***** create array of event fields and sort by eventStartdate*****/
// count event_start_date fields
$field_value_nrs = count ($fieldsEventStartDate->value);
// field array 
for($nr = 0; $nr < $field_value_nrs; ++$nr) { 
	$eventStartDate[$nr]	= ( (isset($fieldsEventStartDate->value[$nr])) ? (date('Y-n-d', strtotime($fieldsEventStartDate->value[$nr]))) : "" );
	$eventEndDate[$nr] 		= ( (isset($fieldsEventEndDate->value[$nr])) ? (date('Y-n-d', strtotime($fieldsEventEndDate->value[$nr]))) : (isset($fieldsEventStartDate->value[$nr]) ? (date('Y-n-d', strtotime($fieldsEventStartDate->value[$nr]))) : "" )  );
	$eventStartTime[$nr] 	= ( (isset($fieldsEventStartTime->value[$nr])) ? (date('H:i', strtotime($fieldsEventStartTime->value[$nr]))) : (isset($fieldsEventStartTime->value[0]) ? (date('H:i', strtotime($fieldsEventStartTime->value[0]))) : "" ) );
	$eventEndTime[$nr] 	= ( (isset($fieldsEventEndTime->value[$nr])) ? (date('H:i', strtotime($fieldsEventEndTime->value[$nr]))) : (isset($fieldsEventEndTime->value[0]) ? (date('H:i', strtotime($fieldsEventEndTime->value[0]))) : "" ) );
	$eventTitle[$nr]		= ( (isset($fieldsEventTitle->value[$nr])) ? ($fieldsEventTitle->value[$nr]) : (isset($fieldsEventTitle->value[0]) ? ($fieldsEventTitle->value[0]) : "" ) );
	$eventCountry[$nr]		= ( (isset($fieldsEventCountry->value[$nr])) ? ($fieldsEventCountry->value[$nr]) : (isset($fieldsEventCountry->value[0]) ? ($fieldsEventCountry->value[0]) : "" ) );
	$eventLocation[$nr]		= ( (isset($fieldsEventLocation->value[$nr])) ? ($fieldsEventLocation->value[$nr]) : (isset($fieldsEventLocation->value[0]) ? ($fieldsEventLocation->value[0]) : "" ) );
	/* // problem with image view from the field array
	$eventImage[$nr]		= ( (isset($fieldsEventImage->value[$nr])) ? ($fieldsEventImage->value[$nr]) : (isset($fieldsEventImage->value[0]) ? ($fieldsEventImage->value[0]) : "" ) );
	*/
};
array_multisort($eventStartDate,$eventEndDate,$eventStartTime,$eventEndTime,$eventTitle,$eventCountry,$eventLocation/*,$eventImage*/);

// DISPLAY OPTIONS
// *** EVENTS ***
$displayEventsInPast 		= $this->params->get('display_events_in_past', 1); // 0 = No, 1 = Yes
$displayEventsInFuture 		= $this->params->get('display_events_in_future', 1); // 0 = No, 1 = Yes
// *** YEAR ***
$displayYearFormat 	= $this->params->get('display_year_format', 0); // 0 = %B (F) (January through December), 1 = %b (M) (Jan through Dec), 2 = %m (m) (01 through 12), 3 = CUSTOM 
if ($displayYearFormat == 0) { // long
	$YearDateFormat ='%Y';
} 
elseif ($displayYearFormat == 1) { // short
	$YearDateFormat ='%y';
}  
elseif ($displayYearFormat == 3) { // custom
	$YearDateFormat = $this->params->get('display_year_format_custom'); 
}
// *** MONTH ***
$displayMonthFormat 	= $this->params->get('display_months_format', 0); // 0 = %B (F) (January through December), 1 = %b (M) (Jan through Dec), 2 = %m (m) (01 through 12), 3 = CUSTOM 
if ($displayMonthFormat == 0) { // long
	$MonthDateFormat ='%B';
} 
elseif ($displayMonthFormat == 1) { // short
	$MonthDateFormat ='%b';
} 
elseif ($displayMonthFormat == 2) { // integer with leading 0
	$MonthDateFormat ='%m';
} 
elseif ($displayMonthFormat == 3) { // custom
	$MonthDateFormat = $this->params->get('display_months_format_custom'); 
}
$displayMonthdayFormat 		= $this->params->get('display_monthday_format', 0); // 0 = %B (F) (January through December), 1 = %b (M) (Jan through Dec), 2 = %m (m) (01 through 12), 3 = CUSTOM 
if ($displayMonthdayFormat == 0) {
	$MonthdayDateFormat ='%d';  // integer with leading 0
}
elseif ($displayMonthdayFormat == 1) { 
	$MonthdayDateFormat ='%e'; // integer without 0
} 
elseif ($displayMonthdayFormat == 2) { // custom
	$MonthdayDateFormat = $this->params->get('display_monthdays_names_custom'); 
}

// *** WEEKDAY ***
$displayWeekdayFormat 	= $this->params->get('display_weekday_format  ', 0); // 0 = %a (D) (Sun through Sat), 1 = %A (L) (Sunday through Saturday), 2 = %d (d) (01 through 31), 3 = CUSTOM 
if ($displayWeekdayFormat == 0) { // short
	$WeekdayDateFormat ='%a';
} 
elseif ($displayWeekdayFormat == 1) { // long
	$WeekdayDateFormat ='%A';
} 
elseif ($displayWeekdayFormat == 2) { // integer with leading 0
	$WeekdayDateFormat ='%d';
} 
elseif ($displayWeekdayFormat == 3) { // custom
	$WeekdayDateFormat = $this->params->get('display_weekdays_names_custom'); 
}
?>
<?php
$colgroup = $thead = '';
$field_value_nrs = count ($fieldsEventStartDate->value);
$cols_nrs= 0;
if ($field_value_nrs > 0) { 
	if (isset($this->item->positions['renderonly']->$event_titleField->display)) {
		$colgroup .= '<col class="' . $fieldsEventTitle->name . '" />';  
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_startDateField->display)) {
		$colgroup .= '<col class="' . $fieldsEventStartDate->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if ( (isset($this->item->positions['renderonly']->$event_startDateField->display)) && (isset($this->item->positions['renderonly']->$event_endDateField->display)) ) {
		$colgroup .= '<col class="date-from-to up" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_endDateField->display)) {
		$colgroup .= '<col class="' . $fieldsEventEndDate->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_startTimeField->display)) {
		$colgroup .= '<col class="' . $fieldsEventStartTime->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if ( (isset($this->item->positions['renderonly']->$event_startTimeField->display)) && (isset($this->item->positions['renderonly']->$event_endTimeField->display)) ) {
		$colgroup .= '<col class="time-from-to up" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_endTimeField->display)) {
		$colgroup .= '<col class="' . $fieldsEventEndTime->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_countryField->display)) {
		$colgroup .= '<col class="' . $fieldsEventCountry->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	if (isset($this->item->positions['renderonly']->$event_locationField->display)) {
		$colgroup .= '<col class="' . $fieldsEventLocation->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	/*
	if (isset($this->item->positions['renderonly']->$event_imageField->display)) {
		$colgroup .= '<col class="' . $fieldsEventDesc->name . '" />';
		$cols_nrs= $cols_nrs+ 1;
	}
	*/
	$cols_nrs= $cols_nrs;
} 
?>	
<div id="flexicontent" class="flexicontent <?php echo $page_classes; ?>">
    
    <div class="floattext clearfix">    
  		<?php /** BOF beforeDisplayContent **/ if ($this->item->event->beforeDisplayContent) : ?>
		<div class="fc_beforeDisplayContent" style="clear:both;">
			<?php echo $this->item->event->beforeDisplayContent; ?>
		</div>
		<?php /** EOF beforeDisplayContent **/ endif; ?>
		<?php /** BOF buttons **/ 
        $pdfbutton = flexicontent_html::pdfbutton( $this->item, $this->params );
        $mailbutton = flexicontent_html::mailbutton( FLEXI_ITEMVIEW, $this->params, null , $this->item->slug );
        $printbutton = flexicontent_html::printbutton( $this->print_link, $this->params );
        $editbutton = flexicontent_html::editbutton( $this->item, $this->params );
        $statebutton = flexicontent_html::statebutton( $this->item, $this->params );
        if ($pdfbutton || $mailbutton || $printbutton || $editbutton || $statebutton) {
        	echo ($html5 == 1) ? '<section class="buttons">' : '<p class="buttons">';
            	echo $pdfbutton;
            	echo $mailbutton;
            	echo $printbutton;
            	echo $editbutton;
            	echo $statebutton;
        	echo ($html5 == 1) ? '</section>' : '</p>';
		}
		/** EOF buttons **/ ?>
		<?php /** BOF page title **/ if ( $this->params->get( 'show_page_heading', 1 ) && $this->escape($this->params->get('page_heading')) != $this->item->title ) : ?>
        <?php if($html5 == 1) echo '<header>' ?>
        <h1 class="componentheading">
			<?php echo $this->params->get('page_heading'); ?>
		</h1>
        <?php if($html5 == 1) echo '</header>' ?>
        <?php endif; /** EOF page title **/ ?>
	</div>
	<?php /** BOF item title **/
	if ($this->params->get('show_title', 1)) : ?>
	<h2 class="contentheading"><span class="fc_item_title">
		<?php
		if ( mb_strlen($this->item->title, 'utf-8') > $this->params->get('title_cut_text',200) ) :
			$item_title =  mb_substr ($this->item->title, 0, $this->params->get('title_cut_text',200), 'utf-8') . ' ...';
		else :
			$item_title = $this->item->title;
		endif;
		//  hidden item titles
		$item_separator = '::';
		$item_title = $item_title;
		$item_title = explode($item_separator, $item_title);
		$itemTitle = $item_title[0];
		if (isset($item_title[1])) {
			$itemHiddenTitle = '<span class="item-hiddentitle">'.$item_title[1].'</span>';
		} else {
			$itemHiddenTitle = '';
		}
		$item_title	= $itemTitle;

		$wordCount = str_word_count($item_title);
		if ($wordCount >= 2) {
			$item_title		= explode(' ', $item_title);
			$item_title[0] 	= '<span>'.$item_title[0].'</span>';
			$item_title		= join(' ', $item_title);
			} else {
			$item_title 	= $item_title;
		} 
         echo $item_title; 
		?>
	</span></h2>
	<?php  /** EOF item title **/
	endif; ?>
    
	<?php /** BOF afterDisplayTitle **/ if ($this->item->event->afterDisplayTitle) : ?>
    <div class="fc_afterDisplayTitle" style="clear:both;">
        <?php echo $this->item->event->afterDisplayTitle; ?>
    </div>
    <?php /** EOF afterDisplayTitle **/ endif; ?>
    
	<?php /** BOF item informations **/ 
	if ((intval($this->item->modified) !=0 && $this->params->get('show_modify_date')) || ($this->params->get('show_author') && ($this->item->creator != "")) || ($this->params->get('show_create_date')) || (($this->params->get('show_modifier')) && (intval($this->item->modified) !=0))) : ?>
	<p class="iteminfo">
		
		<?php if (($this->params->get('show_author')) && ($this->item->creator != "")) : ?>
		<span class="createdline">
			<span class="createdby">
				<?php FlexicontentFields::getFieldDisplay($this->item, 'created_by', $values=null, $method='display'); ?>
				<?php echo JText::sprintf('FLEXI_WRITTEN_BY', $this->fields['created_by']->display); ?>
			</span>
			<?php endif; ?>
			<?php if (($this->params->get('show_author')) && ($this->item->creator != "") && ($this->params->get('show_create_date'))) : ?>
			::
			<?php endif; ?>
			<?php if ($this->params->get('show_create_date')) : ?>
			<span class="created">
				<?php FlexicontentFields::getFieldDisplay($this->item, 'created', $values=null, $method='display'); ?>
				<?php echo '['.JHTML::_('date', $this->fields['created']->value[0], JText::_('DATE_FORMAT_LC2')).']'; ?>		
			</span>
			<?php endif; ?>
		</span>
		
		<span class="modifiedline">
			<?php if (($this->params->get('show_modifier')) && ($this->item->modifier != "")) : ?>
			<span class="modifiedby">
				<?php FlexicontentFields::getFieldDisplay($this->item, 'modified_by', $values=null, $method='display'); ?>
				<?php echo JText::_('FLEXI_LAST_UPDATED').' '.JText::sprintf('FLEXI_BY', $this->fields['modified_by']->display); ?>
			</span>
			<?php endif; ?>
			<?php if (($this->params->get('show_modifier')) && ($this->item->modifier != "") && ($this->params->get('show_modify_date'))) : ?>
			::
			<?php endif; ?>
			<?php if (intval($this->item->modified) !=0 && $this->params->get('show_modify_date')) : ?>
				<span class="modified">
				<?php FlexicontentFields::getFieldDisplay($this->item, 'modified', $values=null, $method='display'); ?>
				<?php echo '['.JHTML::_('date', $this->fields['modified']->value[0], JText::_('DATE_FORMAT_LC2')).']'; ?>
				</span>
			<?php endif; ?>
		</span>
	</p>
	<?php /** EOF item informations **/ 
	endif; ?>
	
	<?php /** BOF item rating, favourites **/
	if (($this->params->get('show_vote', 1)) || ($this->params->get('show_favs', 1)))  : ?>
	<div class="itemactions clearfix">
		<?php if ($this->params->get('show_vote', 1)) : ?>
		<span class="voting">
		<?php FlexicontentFields::getFieldDisplay($this->item, 'voting', $values=null, $method='display'); ?>
		<?php echo $this->fields['voting']->display; ?>
		</span>
		<?php endif; ?>

		<?php if ($this->params->get('show_favs', 1)) : ?>
		<span class="favourites">
			<?php FlexicontentFields::getFieldDisplay($this->item, 'favourites', $values=null, $method='display'); ?>
			<?php echo $this->fields['favourites']->display; ?>
		</span>
		<?php endif; ?>
	</div>
	<?php /** EOF item rating, favourites **/
	endif; ?>
	
	<?php if (isset($this->item->toc)) : /** BOF TOC **/ ?>
		<?php echo $this->item->toc; ?>
	<?php endif; /** EOF TOC **/ ?>
	
	<?php /** BOF description block **/ ?>
	<div class="description clearfix">
		<?php FlexicontentFields::getFieldDisplay($this->item, 'text', $values=null, $method='display'); ?>
		<?php echo JFilterOutput::ampReplace($this->fields['text']->display); ?>
	</div>
	<?php /** EOF description block **/ ?>

    
<?php 
if (/*($event_itemViewLayout == 1) &&*/ ($field_value_nrs > 0))
{  // BOF  $event_itemViewLayout == 1 => table ?>
	
	<?php /** BOF event-block layout-table **/ ?>
	<div class="event-block layout-table clearfix">
		<table id="flexitable" class="flexi-event-table" width="100%" border="0" cellspacing="0" cellpadding="0" summary="<?php echo $this->item->title; ?>">
        <caption class="visuallyhidden">
		<?php
		if ( mb_strlen($this->item->title, 'utf-8') > $this->params->get('title_cut_text',200) ) :
			$item_title =  mb_substr ($this->item->title, 0, $this->params->get('title_cut_text',200), 'utf-8') . ' ...';
		else :
			$item_title = $this->item->title;
		endif;
		?>
        </caption>
   		<?php if ($this->params->get('show_field_labels_row', 1)) : ?>
        <colgroup>
            <?php echo $colgroup ?>
        </colgroup>
        <thead>
            <tr class="sectiontableheader">
            <?php if (isset($this->item->positions['renderonly']->$event_titleField->display)) :?>
                <th id="field_<?php echo $fieldsEventTitle->name; ?>" scope="col">
                    <?php echo $fieldsEventTitle->label; ?>
                </th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_startDateField->display)) :?>
                <th id="field_<?php echo $fieldsEventStartDate->name; ?>" scope="col"><?php echo $fieldsEventStartDate->label; ?></th>
            <?php endif; ?>
            <?php if ( (isset($this->item->positions['renderonly']->$event_startDateField->display)) && (isset($this->item->positions['renderonly']->$event_endDateField->display)) ) :?>
				<th id="date-from-to" class="up" scope="col"></th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_endDateField->display)) :?>
                <th id="field_<?php echo $fieldsEventEndDate->name; ?>" scope="col"><?php echo $fieldsEventEndDate->label; ?></th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_startTimeField->display)) :?>
                <th id="field_<?php echo $fieldsEventStartTime->name; ?>" scope="col"><?php echo $fieldsEventStartTime->label; ?></th>
            <?php endif; ?>
            <?php if ( (isset($this->item->positions['renderonly']->$event_startTimeField->display)) && (isset($this->item->positions['renderonly']->$event_endTimeField->display)) ) :?>
				<th id="time-from-to" class="up" scope="col"></th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_endTimeField->display)) :?>
                <th id="field_<?php echo $fieldsEventEndTime->name; ?>" scope="col"><?php echo $fieldsEventEndTime->label; ?></th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_countryField->display)) :?>
                <th id="field_<?php echo $fieldsEventCountry->name; ?>" scope="col"><?php echo $fieldsEventCountry->label; ?></th>
            <?php endif; ?>
            <?php if (isset($this->item->positions['renderonly']->$event_locationField->display)) :?>
                <th id="field_<?php echo $fieldsEventLocation->name; ?>" scope="col"><?php echo $fieldsEventLocation->label; ?></th>
            <?php endif; ?>
			<?php /*?>      // problem with image view from the field array
             <?php if (isset($this->item->positions['renderonly']->$event_imageField->display)) :?>
                <th id="field_<?php echo $fieldsEventImage->name; ?>" scope="col"><?php echo $fieldsEventImage->label; ?></th>
            <?php endif; ?>
			<?php */?>
            </tr>
        </thead>
        <?php endif; ?>
        <tbody>	
		<?php 
        for($nr = 0; $nr < ($field_value_nrs); $nr++) 
        { 
			if ( (($today > $eventStartDate[$nr]) && ($today > $eventEndDate[$nr]) /* && ($field_value_nrs > 1)*/) && ($displayEventsInPast == 0) ) 
			{ 
				$noEvents = true;
				continue; // skip if event-start_date is in the past	
			} 
			else 
				$noEvents = false;
			{ ?>
                <tr class="sectiontableentry">                
                <?php if (isset($this->item->positions['renderonly']->$event_titleField->display)) :?>
                    <th class="field_<?php echo $fieldsEventTitle->name; ?>" scope="row"><?php echo $eventTitle[$nr]; ?></th>
                <?php endif; ?>
                 <?php if (isset($this->item->positions['renderonly']->$event_startDateField->display)) :?>
                    <td class="field_<?php echo $fieldsEventStartDate->name; ?>" scope="col">
                    <span class="value field_<?php echo $fieldsEventStartDate->name;?> event-weekday">
                        <?php // %A - long weekday
                        echo utf8_encode(strftime("$WeekdayDateFormat", strtotime($eventStartDate[$nr])));?> 
                    </span>
                    <span class="value field_<?php echo $fieldsEventStartDate->name;?> event-weekday-month">
                        <span class="event-monthday"><?php
                        echo utf8_encode(strftime("$MonthdayDateFormat", strtotime($eventStartDate[$nr]))); ?>
                        </span>
                        <span class="event-month">
                        <?php // %d - day as integer with leading zero, %b - month name short
                        echo utf8_encode(strftime("$MonthDateFormat", strtotime($eventStartDate[$nr]))); ?>
                        </span>
                    </span>
                    <span class="value field_<?php echo $fieldsEventStartDate->name;?> event-year">
                        <?php // %Y - year
                        echo utf8_encode(strftime("$YearDateFormat", strtotime($eventStartDate[$nr]))); ?>
                    </span>
					<?php // echo $eventStartDate[$nr]; ?>
                    </td>
                <?php endif; ?>
                <?php if ( (isset($this->item->positions['renderonly']->$event_startDateField->display)) && (isset($this->item->positions['renderonly']->$event_endDateField->display)) ) :?>
					<td class="date-from-to up" scope="col"><?php echo JText::_('FLEXI_EVENT_DATE_TO'); ?></td>
            	<?php endif; ?>
                <?php if (isset($this->item->positions['renderonly']->$event_endDateField->display)) :?>
                    <td class="field_<?php echo $fieldsEventEndDate->name; ?>" scope="col">
                    <span class="value field_<?php echo $fieldsEventEndDate->name;?> event-weekday">
                        <?php // %A - long weekday
                        echo utf8_encode(strftime("$WeekdayDateFormat", strtotime($eventEndDate[$nr])));?> 
                    </span>
                    <span class="value field_<?php echo $fieldsEventEndDate->name;?> event-weekday-month">
                        <span class="event-monthday">
						<?php // %d - day as integer with leading zero, %b - month name short
                        echo utf8_encode(strftime("$MonthdayDateFormat", strtotime($eventEndDate[$nr]))); ?>
                        </span>
                        <span class="event-month">
						<?php // %d - day as integer with leading zero, %b - month name short
                        echo utf8_encode(strftime("$MonthDateFormat", strtotime($eventEndDate[$nr]))); ?>
                        </span>
                    </span>
                    <span class="value field_<?php echo $fieldsEventEndDate->name;?> event-year">
                        <?php // %Y - year
                        echo utf8_encode(strftime("$YearDateFormat", strtotime($eventEndDate[$nr]))); ?>
                    </span>
					<?php // echo $eventEndDate[$nr]; ?>
                    </td>
                <?php endif; ?>
                <?php if (isset($this->item->positions['renderonly']->$event_startTimeField->display)) :?>
                    <td class="field_<?php echo $fieldsEventStartTime->name; ?>" scope="col"><?php echo $eventStartTime[$nr]; ?></td>
                <?php endif; ?>
                <?php if ( (isset($this->item->positions['renderonly']->$event_startTimeField->display)) && (isset($this->item->positions['renderonly']->$event_endTimeField->display)) ) :?>
				<td class="time-from-to up" scope="col">-</td>
            	<?php endif; ?>
                <?php if (isset($this->item->positions['renderonly']->$event_endTimeField->display)) :?>
                    <td class="field_<?php echo $fieldsEventEndTime->name; ?>" scope="col"><?php echo $eventEndTime[$nr]; ?></td>
                <?php endif; ?>
                <?php if (isset($this->item->positions['renderonly']->$event_countryField->display)) :?>
                    <td class="field_<?php echo $fieldsEventCountry->name; ?>" scope="col"><?php echo $eventCountry[$nr]; ?></td>
                <?php endif; ?>
                <?php if (isset($this->item->positions['renderonly']->$event_locationField->display)) :?>
                    <td class="field_<?php echo $fieldsEventLocation->name; ?>" scope="col"><?php echo $eventLocation[$nr]; ?></td>
                <?php endif; ?>
                 <?php /*?>
                 <?php if (isset($this->item->positions['renderonly']->$event_imageField->display)) :?>
                    <td id="field_<?php echo $fieldsEventImage->name; ?>" scope="col"><?php echo $eventImage[$nr];  ?></td>
                <?php endif; ?>
                <?php */?>
                </tr><?php
				if ( (($today < $eventStartDate[$nr]) && ($today < $eventEndDate[$nr])) && ($displayEventsInFuture == 0) ) 
					{ 
				break; // skip if event-start_date is in the past	
				} 
				else 
				{
				continue;
				}
            }  // NEW show only next date ... end if $today > .... // break if one date is use 
        } ?>		
		</tbody>
		</table>    
		<?php /** BOF event-description-img **/ 
		if ( (isset($this->item->positions['renderonly']->$event_descriptionField->display)) || (isset($this->item->positions['renderonly']->$event_imageField->display)) ) : ?>    
        <div class="event-description-img clearfix">
            <?php /** BOF event-description **/ 
            if (isset($this->item->positions['renderonly']->$event_descriptionField->display)) : ?>
            <div class="event-description field_<?php echo $fieldsEventDesc->name; ?>">
                <?php echo $fieldsEventDesc->display; ?>
            </div>
            <?php endif; /** EOF event-description **/ ?>
            <?php /** BOF event-image block **/ 
            if (isset($this->item->positions['renderonly']->$event_imageField->display)) : ?>
            <div class="event-image field_<?php echo $fieldsEventImage->name; ?>">
                <?php echo $fieldsEventImage->display; ?>
            </div>
            <?php endif; /**EOF event-image block **/ ?>
        </div>
        <?php endif; /** EOF event-description-img **/ ?>
        <?php /** BOF event-image-galerie **/ 
        if (isset($this->item->positions['renderonly']->$event_imageGalerieField->display)) : ?> 
        <div class="event-image-galerie field_<?php echo $fieldsEventImageGalerie->name; ?> clearfix">
        	<?php echo $fieldsEventImageGalerie->display; ?>
        </div>
        <?php endif; /** EOF event-image-galerie **/ ?>
	
    </div>
	<?php /** EOF event-block layout-table **/ ?>
<?php 
} // EOF  $event_itemViewLayout == 1 => table ?>

	<?php /** BOF item categories, tags **/
	if (($this->params->get('show_tags', 1)) || ($this->params->get('show_category', 1)))  : ?>
	<div class="itemadditionnal clearfix">
		<?php if ($this->params->get('show_category', 1)) : ?>
		<span class="categories">
			<?php FlexicontentFields::getFieldDisplay($this->item, 'categories', $values=null, $method='display'); ?>
			<span class="fclabel"><?php echo $this->fields['categories']->label; ?></span>
			<span class="fcvalue"><?php echo $this->fields['categories']->display; ?></span>
		</span>
		<?php endif; ?>

		<?php FlexicontentFields::getFieldDisplay($this->item, 'tags', $values=null, $method='display'); ?>
		<?php if ($this->params->get('show_tags', 1) && $this->fields['tags']->display) : ?>
		<span class="tags">
			<span class="fclabel"><?php echo $this->fields['tags']->label; ?></span>
			<span class="fcvalue"><?php echo $this->fields['tags']->display; ?></span>
		</span>
		<?php endif; ?>
	</div>
	<?php /** EOF item categories, tags **/
	endif; ?>
    
	<?php /** BOF page-navigation block **/ 
	if (isset($this->item->positions['page-navigation'])) : ?>
    <div class="page-navigation-wrap clearfix">
        <?php foreach ($this->item->positions['page-navigation'] as $field) : ?>
        <div class="page-navigation">
        <div class="element">
            <?php if ($field->label) : ?>
            <div class="label field_<?php echo $field->name; ?>"><?php echo $field->label; ?></div>
            <?php endif; ?>
            <div class="value field_<?php echo $field->name; ?>"><?php echo $field->display; ?></div>
        </div>
        </div>
        <?php endforeach; ?>
    </div>
    <?php 
	endif; /** EOF page-navigation block **/ ?>

	<?php /** BOF comments **/ 
	if ($this->params->get('comments') && !JRequest::getVar('print')) : ?>
	<div class="comments clearfix">
	<?php
		if ($this->params->get('comments') == 1) :
			if (file_exists(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php')) :
				require_once(JPATH_SITE.DS.'components'.DS.'com_jcomments'.DS.'jcomments.php');
				echo JComments::showComments($this->item->id, 'com_flexicontent', $this->escape($this->item->title));
			endif;
		endif;
	
		if ($this->params->get('comments') == 2) :
			if (file_exists(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php')) :
    			require_once(JPATH_SITE.DS.'plugins'.DS.'content'.DS.'jom_comment_bot.php');
    			echo jomcomment($this->item->id, 'com_flexicontent');
  			endif;
  		endif;
	?>
	</div>
	<?php /** EOF comments **/
	endif; ?>
    
  	<?php /** BOF afterDisplayContent **/ 
	if ($this->item->event->afterDisplayContent) : ?>
		<div class="fc_afterDisplayContent" style="clear:both;">
			<?php echo $this->item->event->afterDisplayContent; ?>
		</div>
	<?php /** EOF afterDisplayContent **/ 
	endif; ?>

</div>

<?php /*?>
<!--
%a - abgekrzter Name des Wochentages, abhngig von der gesetzten Umgebung
%A - ausgeschriebener Name des Wochentages, abhngig von der gesetzten Umgebung
%b - abgekrzter Name des Monats, abhngig von der gesetzten Umgebung
%B - ausgeschriebener Name des Monats, abhngig von der gesetzten Umgebung
%c - Wiedergabewerte fr Datum und Zeit, abhngig von der gesetzten Umgebung
%C - Jahrhundert (Jahr geteilt durch 100, gekrzt auf Integer, Wertebereich 00 bis 99)
%d - Tag des Monats als Zahl (Bereich 01 bis 31)
%D - so wie %m/%d/%y
%e - Tag des Monats als Dezimal-Wert, einstelligen Werten wird ein Leerzeichen voran gestellt (Wertebereich  1 bis 31)
%g - wie %G, aber ohne Jahrhundert.
%G - Das vierstellige Jahr entsprechend der ISO Wochennummer (siehe %V). Das gleiche Format und der gleiche Wert wie bei %Y. Besonderheit: entspricht die ISO Wochennummer dem vorhergehenden oder folgenden Jahr, wird dieses Jahr verwendet.
%h - so wie %b
%H - Stunde als Zahl im 24-Stunden-Format (Bereich 00 bis 23)
%I - Stunde als Zahl im 12-Stunden-Format (Bereich 01 bis 12)
%j - Tag des Jahres als Zahl (Bereich 001 bis 366)
%m - Monat als Zahl (Bereich 01 bis 12)
%M - Minute als Dezimal-Wert
%n - neue Zeile
%p - entweder `am' oder `pm' (abhngig von der gesetzten Umgebung) oder die entsprechenden Zeichenketten der gesetzten Umgebung
%r - Zeit im Format a.m. oder p.m.
%R - Zeit in der 24-Stunden-Formatierung
%S - Sekunden als Dezimal-Wert
%t - Tabulator
%T - aktuelle Zeit, genau wie %H:%M:%S 
-->
<?php */?>
